#
# spec file for package leechcraft
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without ffmpeg

%define plugin_dir %{_libdir}/leechcraft/plugins
%define translations_dir %{_datadir}/leechcraft/translations
%define settings_dir %{_datadir}/leechcraft/settings
%define qml_dir %{_datadir}/leechcraft/qml

%define so_ver 0_6_75
%define LEECHCRAFT_VERSION 0.6.70-6645-gcd10d7e
%define db_postfix %{so_ver}_1
%define gui_postfix %{so_ver}_1
%define models_postfix %{so_ver}_1
%define network_postfix %{so_ver}_1
%define qml_postfix %{so_ver}_2
%define shortcuts_postfix %{so_ver}
%define sll_postfix %{so_ver}_1
%define svcauth_postfix %{so_ver}
%define sys_postfix %{so_ver}_1
%define tags_postfix %{so_ver}_1
%define threads_postfix %{so_ver}
%define x11_postfix -%{so_ver}
%define xdg_postfix %{so_ver}
%define xpc_postfix %{so_ver}_2
%define xsd_postfix %{so_ver}

%if 0%{?suse_version} > 1320
%define use_cpp14 1
%else
%define use_cpp14 0
%endif

Name:           leechcraft
Version:        0.6.70+git.6645.gcd10d7e
Release:        3.16
Summary:        Modular Internet Client
License:        BSL-1.0
Group:          Productivity/Networking/Other
Url:            http://leechcraft.org

Source0:        leechcraft-%{LEECHCRAFT_VERSION}.tar.xz
Source4:        %{name}-rpmlintrc
Source8:        leechcraft-session.1
Source9:        lc_plugin_wrapper.1
# NOTE: delete p0&p1 at version bump!
# PATCH-FIX-UPSTREAM for newest torrent rasterbar.
Patch0:         leechcraft-%{LEECHCRAFT_VERSION}-torrent110.diff
# PATCH-FIX-UPSTREAM for hunspell 1.4.
Patch1:         leechcraft-%{LEECHCRAFT_VERSION}-hunspell14.diff

BuildRequires:  Qross-devel
%if 0%{?suse_version} > 1320
BuildRequires:  boost-devel >= 1.58
%else
BuildRequires:  boost-devel >= 1.50
%endif
BuildRequires:  cmake >= 3
BuildRequires:  fdupes
BuildRequires:  file-devel
%if %{use_cpp14}
BuildRequires:  gcc-c++ >= 5
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  liblastfm-devel
BuildRequires:  libotr-devel
BuildRequires:  libqscintilla-devel
BuildRequires:  libqt4-sql
BuildRequires:  libqxt-devel
BuildRequires:  libsensors4-devel
BuildRequires:  libtidy-devel
%if 0%{suse_version} <= 1320
BuildRequires:  llvm-clang >= 3.4
%endif
BuildRequires:  qwt6-devel
BuildRequires:  wt-devel >= 3.3
BuildRequires:  pkgconfig(QJson) >= 0.8.1
BuildRequires:  pkgconfig(QtCore) >= 4.8
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(TelepathyQt4)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libprojectM)
BuildRequires:  pkgconfig(phonon)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(taglib)
BuildConflicts: gstreamer-0_10-devel
BuildConflicts: gstreamer-0_10-plugins-base-devel
BuildConflicts: libgstapp-0_10
BuildConflicts: libgstinterfaces-0_10
BuildConflicts: libgstreamer-0_10
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(kqoauth)
%if %{with ffmpeg}
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libchromaprint)
%endif
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libguess)
BuildRequires:  pkgconfig(libqrencode)
%if %{with ffmpeg}
BuildRequires:  pkgconfig(libswresample)
%endif
BuildRequires:  pkgconfig(libtorrent-rasterbar) >= 1.0
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(poppler-qt4)
BuildRequires:  pkgconfig(qca2)
BuildRequires:  pkgconfig(qtermwidget4) >= 0.5.1
BuildRequires:  pkgconfig(qxmpp) >= 0.8
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xrender)

Requires:       oxygen-icon-theme
Recommends:     %{name}-advancednotifications
Recommends:     %{name}-azoth-acetamide
Recommends:     %{name}-azoth-xoox
Recommends:     %{name}-bittorrent
Recommends:     %{name}-blogique
Recommends:     %{name}-dolozhee
Recommends:     %{name}-lackman
Recommends:     %{name}-scrobbler
Suggests:       %{name}-lastfmscrobble
Recommends:     %{name}-monocle
Recommends:     %{name}-netstoremanager
Recommends:     %{name}-newlife
Recommends:     %{name}-poshuku
Recommends:     %{name}-secman-simplestorage
Recommends:     %{name}-visualnotifications

Obsoletes:      %{name}-choroid
Obsoletes:      %{name}-eiskaltdcpp
Obsoletes:      %{name}-hotsensors
Obsoletes:      %{name}-iconset-oxygen
Obsoletes:      %{name}-iconset-tango
Obsoletes:      %{name}-nacheku
Obsoletes:      %{name}-shaitan
Obsoletes:      %{name}-syncer
Obsoletes:      %{name}-tabpp
%if %{use_cpp14}
%else
Obsoletes:      %{name}-xproxy
%endif

%description
LeechCraft is a modular "Internet client" application.

LeechCraft allows to browse the web, read RSS/Atom feeds, download
files via BitTorrent, HTTP, FTP and DC, automatically stream,
download or play podcasts and other media files and much more.

Features can be added via plugins that can be integrated with
each other, while staying abstract from the exact implementation.

This package contains the main LeechCraft executable, which connects
all the plugins with each other, routes requests between them, tracks
dependencies and performs several other housekeeping tasks.


%package advancednotifications
Summary:        LeechCraft Notifications framework Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-visualnotifications = %{version}
Recommends:     %{name}-soundnotifications = %{version}
Provides:       %{name}-shellopen = %{version}
Obsoletes:      %{name}-shellopen < %{version}

%description advancednotifications
This package provides an advanced notifications plugin for Leechcraft
which allows to customize notifications better.


%package aggregator
Summary:        LeechCraft RSS/Atom Aggregator Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-http = %{version}
Requires:       libqt4-sql-sqlite
Recommends:     %{name}-poshuku = %{version}

%description aggregator
This package provides a RSS/Atom feed reader plugin for LeechCraft.

It features:
 * RSS 0.92/0.93/1.0/2.0, Atom 0.3/1.0;
 * extensions like GeoRSS, MediaRSS, Comment API etc;
 * OPML support;
 * broadcatching and fetching arbitrary data with regexps;
 * tape mode for news display;
 * individual options for each channel like update interval;
 * storage either in SQLite or PostgreSQL;
 * exporting feeds to FB2 for further reading on handheld devices.

A web browser plugin is recommended to show the news in a fancy way.


%package aggregator-bodyfetch
Summary:        LeechCraft Aggregator Bodyfetch Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-aggregator
Recommends:     %{name}-qrosp

%description aggregator-bodyfetch
This package provides a LeechCraft Aggregator plugin to automatically
fetch full bodies of news items and replace the original teasers from
RSS feeds with them, so that it appears like the full news stories
were originally there.

Fetching is done according to little scripts called recipes. For this to
work, a script provider like Qrosp should be installed. Please refer to the
guide to writing recipes if you are interested in writing your own.


%package aggregator-webaccess
Summary:        LeechCraft Aggregator Web Interface Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-aggregator = %{version}

%description aggregator-webaccess
WebAccess provides a basic web interface for the
Aggregator feed reader, so one can read news
articles from a mobile device or another machine.


%package anhero
Summary:        LeechCraft Crash handler Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       gdb
Recommends:     %{name}-dolozhee

%description anhero
This package provides a crash handler plugin for LeechCraft
which shows backtraces and aids in sending bug reports.


%package auscrie
Summary:        LeechCraft Screenshooter Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-imgaste = %{version}

%description auscrie
This package provides a LeechCraft plugin to make screenshots of
LeechCraft and then either save them locally or upload them to an
imagebin.


%package azoth
Summary:        LeechCraft Instant messenger Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-azoth-chatstyler = %{version}
Requires:       %{name}-azoth-protocolplugin
Requires:       %{name}-securestorage = %{version}
Suggests:       %{name}-azoth-standardstyles
%if 0%{?suse_version} <= 1320
Obsoletes:      %{name}-azoth-herbicide
%endif
Obsoletes:      %{name}-azoth-p100q
Obsoletes:      %{name}-azoth-zheet

%description azoth
This package provides a modular, multi-protocol IM client for LeechCraft.

Protocol support is provided by corresponding plugins.
Unlike other multiprotocol clients which tend to implement only those
features that are present in all the protocols, Azoth is modelled after the
XMPP protocol, aiming to provide extensive and full support for XMPP while
remaining usable for other protocols.


%package azoth-abbrev
Summary:        LeechCraft Azoth Abbreviations Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth-protocolplugin = %{version}
Suggests:       %{name}-xoox
Recommends:     %{name}-acetamide
Recommends:     %{name}-xoox

%description azoth-abbrev
This package provides abbreviations via commands like /abbrev, /unabbrev
and /listabbrevs for LeechCraft Azoth.


%package azoth-acetamide
Summary:        LeechCraft Azoth IRC Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-protocolplugin
Recommends:     %{name}-azoth-mucommands

%description azoth-acetamide
This package provides an IRC protocol plugin for LeechCraft Azoth.

Features:
 * Secure Sockets Layer (SSL) cryptographic protocol.
 * Channel bookmarks.
 * Automatic password entry.
 * Automatic login.


%package azoth-adiumstyles
Summary:        LeechCraft Azoth Adium Styles Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-chatstyler

%description azoth-adiumstyles
This package provides an Adium styles support plugin for LeechCraft Azoth.


%package azoth-astrality
Summary:        LeechCraft Azoth Telepathy Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Requires:       telepathy-haze
Requires:       telepathy-mission-control
Provides:       %{name}-azoth-protocolplugin

%description azoth-astrality
This package provides a plugin for LeechCraft Azoth which enables
support for various protocols provided by the Telepathy framework.

Features:
 * Telepathy account creation.
 * In-band account registration.
 * Standard one-to-one chats.
 * Nick resolution.


%package azoth-autoidler
Summary:        LeechCraft Azoth Module for automatic status change
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-autoidler
This package provides a LeechCraft Azoth plugin which can
automatically change your status based on an inactivity period.


%package azoth-autopaste
Summary:        LeechCraft Azoth Autopaste Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-autopaste
This package provides a plugin for LeechCraft Azoth with
which long messages can automatically be pasted to pastebins.


%package azoth-birthdaynotifier
Summary:        LeechCraft Azoth Birthday Notifier Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-birthdaynotifier
This package provides a plugin for LeechCraft Azoth with which you
will be notified of your contacts' birthdays if they are present in
vCards.


%package azoth-chathistory
Summary:        LeechCraft Azoth Chat history Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Requires:       libqt4-sql-sqlite

%description azoth-chathistory
This package provides a chat history plugin for LeechCraft Azoth.
It supports storing history from normal one-to-one chats as well as from
multiuser conferences and private chats in conferences. It also allows to
search the logs with SQL's LIKE expressions. SQLite is used for storage.


%package azoth-depester
Summary:        LeechCraft Azoth Ignore Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-depester
This package provides a plugin for LeechCraft Azoth to ignore
unwanted participants.


%package azoth-embedmedia
Summary:        LeechCraft Azoth Media Objects Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-embedmedia
This package provides an plugin for LeechCraft Azoth which
allows embedding different media objects in chat tabs.


%package azoth-herbicide
Summary:        LeechCraft Azoth Antispam Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-herbicide
This package provides a basic antispam plugin for LeechCraft Azoth.

%package azoth-hili
Summary:        LeechCraft Azoth Conference highlights Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-hili
This package provides a plugin for LeechCraft Azoth to customize
conference highlights.


%package azoth-isterique
Summary:        LeechCraft Azoth Module to remove CAPS
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-isterique
This package provides a plugin for LeechCraft Azoth which
can remove excessive CAPS usage from incoming messages.


%package azoth-juick
Summary:        LeechCraft Azoth Juick.com service Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-juick
This package contains a plugin for LeechCraft Azoth which
provides an enhanced experience with the juick.com microblogging service.


%package azoth-keeso
Summary:        LeechCraft Azoth Text transform Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-keeso
This package provides a text transform plugin for LeechCraft Azoth.


%package azoth-lastseen
Summary:        LeechCraft Azoth module for "Last Seen" functionality
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-lastseen
This package provides a plugin for LeechCraft Azoth which records
contacts' last online and availability time on the client side. It
does not depend on a concrete protocol implementation.


%package azoth-metacontacts
Summary:        LeechCraft Azoth Metacontacts Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-metacontacts
This package provides a metacontacts support plugin for LeechCraft Azoth.


%package azoth-modnok
Summary:        LeechCraft Azoth LaTeX support Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-modnok
This package provides a plugin for LeechCraft Azoth which
can render and display LaTeX formulae directly in chat windows.

It does not depend on the underlying protocol, and if the protocol supports
rich text formatting in outgoing messages, it is able to replace the formulas
with corresponding images in outgoing messages as well, so your buddies would
see nice rendered formulas instead of raw LaTeX code, even if their client
does not have a LaTeX formatter.


%package azoth-mucommands
Summary:        LeechCraft Azoth module for conference-oriented commands
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth-protocolplugin = %{version}
Suggests:       %{name}-xoox
Recommends:     %{name}-acetamide
Recommends:     %{name}-xoox

%description azoth-mucommands
This package provides some common conference-oriented commands like
/vcard, /time, /last, /subject, /kick, /ban and so on for LeechCraft Azoth.


%package azoth-murm
Summary:        LeechCraft Azoth - VKontakte Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-protocolplugin

%description azoth-murm
This package provides a special protocol subplugin for extensive VKontakte
messaging support for LeechCraft Azoth.


%package azoth-nativeemoticons
Summary:        LeechCraft Azoth Emoticon pack support
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-nativeemoticons
This package provides an emoticons plugin for LeechCraft Azoth which
permits to use emoticon packs which are stored in Psi+, Kopete
format or Azoth format.


%package azoth-otroid
Summary:        LeechCraft Azoth Off-the-Record Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-otroid
This package provides support for Off-the-Record messaging for LeechCraft Azoth.


%package azoth-rosenthal
Summary:        LeechCraft Azoth Spell Checker Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Requires:       %{name}-rosenthal = %{version}

%description azoth-rosenthal
This package provides a spell checker plugin for LeechCraft Azoth.

It is based on Hunspell or Myspell dictionaries.


%package azoth-shx
Summary:        LeechCraft Azoth Shell command runner Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}

%description azoth-shx
This package provides a shell command runner plugin for LeechCraft Azoth.


%package azoth-standardstyles
Summary:        LeechCraft Azoth Standard chat styles Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-chatstyler

%description azoth-standardstyles
This package provides a standard styles support plugin for LeechCraft Azoth.

Standard styles are the ones in LeechCraft's own format.


%package azoth-vader
Summary:        LeechCraft Azoth MrIM Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-protocolplugin

%description azoth-vader
This package provides a MRIM protocol plugin for LeechCraft Azoth.

The MRIM protocol is used in the Mail.Ru Agent IM service.

Vader is based on an own implementation of the MRIM protocol, partially based
on available (and outdated) official specs, and is partly reverse-engineered.

The following protocol features are supported:
 * Extended statuses.
 * Attention requests (alarms).
 * Publishing current tune and fetching others' tune.
 * Message delivery receipts.
 * Mailbox notifications.
 * Opening mailbox without login.
 * Authorization management.
 * Grouping contacts.


%package azoth-velvetbird
Summary:        LeechCraft Azoth libpurple Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Provides:       %{name}-azoth-protocolplugin

%description azoth-velvetbird
This package provides a plugin for LeechCraft Azoth which
makes the various protocols supported by libpurple available
in Azoth.


%package azoth-woodpecker
Summary:        LeechCraft Twitter Client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     libkqoauth0 >= 0.98

%description azoth-woodpecker
This package provides a Twitter Client plugin for LeechCraft.


%package azoth-xoox
Summary:        LeechCraft Azoth XMPP Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Requires:       libqxmpp0 >= 0.8
Recommends:     libqxmpp0 > 0.8
Provides:       %{name}-azoth-protocolplugin
Recommends:     %{name}-azoth-mucommands

%description azoth-xoox
This package provides an XMPP protocol plugin for LeechCraft Azoth.

Feature highlights:
 * Media calls support (Jingle).
 * Support for PEP and current user activity, mood, tune and location.
 * Bookmarks with autojoin support.
 * Full support for MUCs.
 * Notifications about chat state participation.
 * Service discovery support.
 * Gateway support, with registration.
 * Support for various file transfer methods.
 * In-band registration of accounts (right from the client).
 * Privacy lists.
 * Encrypted and signed messages and presences.
 * Full CAPTCHA support.
 * Support for ad-hoc commands.
 * Support for exchanging roster items.
 * Search for contacts in Jabber.


%package azoth-xtazy
Summary:        LeechCraft Azoth Module for publishing current user tune
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-azoth = %{version}
Requires:       %{name}-xtazy = %{version}

%description azoth-xtazy
This package provides an Azoth plugin which allows to publish
the current user tune.


%package bittorrent
Summary:        LeechCraft BitTorrent client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-summaryrepresentation = %{version}

%description bittorrent
This package provides a BitTorrent client for Leechcraft.

Features:
 * Support for DHT and magnet links
 * Sequential download mode where torrent is download sequentially.
 * Torrents queue, limiting number of seeding/leeching torrents.
 * Ability to rename files and directories in the torrent.
 * Selective download: possibility to select specific files from torrent.
 * Continue downloads left by any other client.
 * Support for sparse files.
 * Tags for torrents.
 * Global and per-torrent speed limits.
 * Connection number limits.
 * Fast resume support to avoid long startup times.
 * IP filter to block/unblock unwanted peers.
 * Support for extension protocol


%package blasq
Summary:        LeechCraft Image storage Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-blasq-subplugin = %{version}

%description blasq
This package provides a modular image storage plugin for LeechCraft
which supports different cloud image stores like Picasa or Flickr.


%package blasq-deathnote
Summary:        LeechCraft Blasq LiveJournal/FotoBilder client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-blasq = %{version}
Provides:       %{name}-blasq-subplugin = %{version}

%description blasq-deathnote
This package provides a LiveJournal FotoBilder image storage client subplugin
for LeechCraft Blasq.


%package blasq-rappor
Summary:        LeechCraft Blasq VKontakte client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-blasq = %{version}
Provides:       %{name}-blasq-subplugin = %{version}

%description blasq-rappor
This package provides a VKontakte image storage client subplugin
for LeechCraft Blasq.


%package blasq-vangog
Summary:        LeechCraft Blasq Picasa client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-blasq = %{version}
Provides:       %{name}-blasq-subplugin = %{version}

%description blasq-vangog
This package provides a Picasa image storage client subplugin
for LeechCraft Blasq.


%package blasq-spegnersi
Summary:        LeechCraft Blasq Flickr client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-blasq = %{version}
Provides:       %{name}-blasq-subplugin = %{version}

%description blasq-spegnersi
This package provides a Flickr image storage client subplugin
for LeechCraft Blasq.


%package blogique
Summary:        LeechCraft Blogging client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-blogique-subplugin = %{version}
Recommends:     %{name}-lhtr

%description blogique
This package provides a modular blogging client plugin for LeechCraft
which itself supports different blogging platforms via different submodules.


%package blogique-hestia
Summary:        LeechCraft Blogique "Local blogging" Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-blogique = %{version}
Provides:       %{name}-blogique-subplugin = %{version}

%description blogique-hestia
This package provides a local blogging subplugin for LeechCraft Blogique.


%package blogique-metida
Summary:        LeechCraft Blogique LiveJournal Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-blogique = %{version}
Recommends:     %{name}-xtazy = %{version}
Provides:       %{name}-blogique-subplugin = %{version}

%description blogique-metida
This package provides a LiveJournal subplugin for LeechCraft Blogique.


%package certmgr
Summary:        LeechCraft SSL certificate Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description certmgr
This package provides an SSL certificate manager plugin.


%package cpuload
Summary:        LeechCraft CPU Usage Monitoring Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb2 = %{version}

%description cpuload
This package provides a quark for monitoring the CPU usage
for LeechCraft SB2. It currently uses /proc/stat.


%package cstp
Summary:        LeechCraft HTTP Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-http

%description cstp
This package provides a HTTP implementation plugin for LeechCraft
which will mainly used by many other plugins like Aggregator,
SeekThru or vGrabber.

Features:
 * Support for redirects.
 * Automatic downloads from other plugins.
 * Support for continuing interrupted downloads.


%package dbusmanager
Summary:        LeechCraft D-Bus Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description dbusmanager
This package provides a D-Bus implementation plugin for LeechCraft.


%package deadlyrics
Summary:        LeechCraft Lyrics finder Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-http = %{version}
Requires:       %{name}-summaryrepresentation = %{version}
Provides:       %{name}-lyricsprovider

%description deadlyrics
This package provides a lyrics finder plugin for LeechCraft.

It is a simple client for searching song lyrics on various sites.
The search interface is available via LeechCraft Summary.


%package devel
Summary:        LeechCraft Development Files
License:        BSL-1.0
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       cmake
Requires:       libleechcraft-util-db%{db_postfix}               = %{version}
Requires:       libleechcraft-util-gui%{gui_postfix}             = %{version}
Requires:       libleechcraft-util-models%{models_postfix}       = %{version}
Requires:       libleechcraft-util-network%{network_postfix}     = %{version}
Requires:       libleechcraft-util-qml%{qml_postfix}             = %{version}
Requires:       libleechcraft-util-shortcuts%{shortcuts_postfix} = %{version}
Requires:       libleechcraft-util-sll%{sll_postfix}             = %{version}
Requires:       libleechcraft-util-svcauth%{svcauth_postfix}     = %{version}
Requires:       libleechcraft-util-sys%{sys_postfix}             = %{version}
Requires:       libleechcraft-util-tags%{tags_postfix}           = %{version}
Requires:       libleechcraft-util-x11%{x11_postfix}             = %{version}
Requires:       libleechcraft-util-xdg%{xdg_postfix}             = %{version}
Requires:       libleechcraft-util-xpc%{xpc_postfix}             = %{version}
Requires:       libleechcraft-util-xsd%{xsd_postfix}             = %{version}
Requires:       llvm-clang
Requires:       pkgconfig(QtWebKit)
Recommends:     leechcraft-azoth-doc
Recommends:     leechcraft-doc
Recommends:     leechcraft-monocle-doc

%description devel
This package provides files required for development of
new LeechCraft modules.


%package devmon
Summary:        LeechCraft Device Monitor Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-secman = %{version}

%description devmon
This package provides a devices monitor plugin for LeechCraft.


%package dolozhee
Summary:        LeechCraft Issue reporting Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-secman = %{version}

%description dolozhee
This package provides a Dolozhee plugin for LeechCraft which
allows submitting bug reports and feature requests to the
LeechCraft issue tracker.


%package dumbeep
Summary:        LeechCraft DumBeep Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     mplayer
Provides:       %{name}-soundnotifications = %{version}

%description dumbeep
This package provides a dumb sound notifier plugin for LeechCraft.

It uses Phonon as a backend, or something like aplay/mplayer.


%package eleeminator
Summary:        LeechCraft terminal plugin
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-shaitan = %{version}
Obsoletes:      %{name}-shaitan < %{version}

%description eleeminator
This package provides a terminal plugin for Leechcraft.


%package fenet
Summary:        LeechCraft Window Manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Provides:       %{name}-fenet-compton = %{version}
Recommends:     %{name}-cpuload
Recommends:     %{name}-hotsensors
Recommends:     %{name}-kbswitch
Recommends:     %{name}-krigstask
Recommends:     %{name}-laughty
Recommends:     %{name}-launchy
Recommends:     %{name}-lemon
Recommends:     %{name}-liznoo
Recommends:     %{name}-mellonetray
Recommends:     %{name}-ooronee
Recommends:     %{name}-sb2
Recommends:     %{name}-tpi
Recommends:     %{name}-vrooby
Recommends:     compton
Requires:       %{name} = %{version}
Requires:       %{name}-fenet-wm = %{version}

%description fenet
This package provides a WM control plugin for Leechcraft.


%package fenet-awesome
Summary:        Awesome Window Manager integration for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other
BuildArch:      noarch
Provides:       %{name}-fenet-wm = %{version}
Requires:       %{name}-fenet = %{version}
Requires:       awesome

%description fenet-awesome
This package allows to start Leechcraft as a Desktop Environment with
the Awesome Window Manager.


%package fenet-kwin
Summary:        kwin integration for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other
BuildArch:      noarch
Provides:       %{name}-fenet-wm = %{version}
Requires:       %{name}-fenet = %{version}
Requires:       kwin

%description fenet-kwin
This package allows to start Leechcraft as a Desktop Environment with
the KDE Window Manager.


%package fenet-openbox
Summary:        OpenBox Window Manager integration for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other
BuildArch:      noarch
Provides:       %{name}-fenet-wm = %{version}
Requires:       %{name}-fenet = %{version}
Requires:       openbox

%description fenet-openbox
This package allows to start Leechcraft as a Desktop Environment with
the Openbox Window Manager.


%package gacts
Summary:        LeechCraft Global actions Module
License:        BSL-1.0 and (LGPL-2.1 or CPL-1.0)
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description gacts
This package provides a global shortcut manager for LeechCraft
with which global hotkeys can be set and used.


%package glance
Summary:        LeechCraft Opened tabs overview Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description glance
This package provides a tabs overview plugin for Leechcraft
which shows a grid of overview thumbnails.


%package gmailnotifier
Summary:        LeechCraft GMail notifier Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-http = %{version}
Recommends:     %{name}-sb = %{version}

%description gmailnotifier
This package provides a GMail notifications plugin for Leechcraft
which allows to show notifications about new mail in your GMail account.

It has a configurable frequency for updates and the number of last unread
messages shown.


%package harbinger
Summary:        LeechCraft Collections Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description harbinger
This package provides a collections manager plugin for LeechCraft.


%package historyholder
Summary:        LeechCraft History Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description historyholder
This package provides a history keeper plugin for LeechCraft
which stores information about finished downloads and similar events,
and allows to search it by text, wildcard, regular expressions or tags.


%package hotstreams
Summary:        LeechCraft Radio streams Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description hotstreams
This package provides a radio streams provider plugin for LeechCraft.


%package htthare
Summary:        LeechCraft HTTP Server Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description htthare
This package provides content from local filesystem over LANs.
(Possibly also WANs, but, by default, only LAN interfaces are listened on).


%package imgaste
Summary:        LeechCraft Image Paster Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description imgaste
This module provides a simple image paster plugin from LeechCraft.


%package intermutko
Summary:        LeechCraft HTTP Accept-Language header Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description intermutko
This module provides a HTTP Accept-Language header configurator.


%package kbswitch
Summary:        LeechCraft keyboard switcher Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       setxkbmap

%description kbswitch
This module allows changing keyboard layouts from LeechCraft.


%package kinotify
Summary:        LeechCraft Kinetic notifications Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-visualnotifications
Recommends:     %{name}-poshuku

%description kinotify
This package contains a fancy notifications plugin for LeechCraft.

It provides fancy kinetic notifications LeechCraft-wide instead of old-style
tray-based ones. It supports notifications with HTML markup, notification
actions (for example, "Open chat" action in a notification about incoming IM
message) and is fully themable.


%package knowhow
Summary:        LeechCraft "Tip of the day" Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description knowhow
This package provides a tips plugin for LeechCraft which
displays a "tip of the day" window after launching LeechCraft.


%package krigstask
Summary:        LeechCraft Applications Switcher Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb2 = %{version}

%description krigstask
This package provides an applications switcher quark for LeechCraft SB2.


%package lackman
Summary:        LeechCraft Package manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-http = %{version}
Requires:       xz
Recommends:     %{name}-poshuku = %{version}

%description lackman
This package provides a package manager plugin for Leechcraft.

It allows to install script plugins, iconsets, translations, additional data
and other similar packages.

It also supports dependencies between packages as well as versioning and
automatic updates of the packages.

Features:
 * Allows installation of script plugins, icons and various other data.
 * Supports versioning and automatic updates of packages.
 * Supports dependencies between packages.
 * Operates in user's home directory.


%package lastfmscrobble
Summary:        LeechCraft Last.FM Scrobble Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-lmp = %{version}
Provides:       %{name}-scrobbler

%description lastfmscrobble
This package contains the LastFMScrobble plugin for LeechCraft
which supports the Last.FM service. For example, it scrobbles tracks
from other players, requests similar artists (on demand by other players as
well), supports fetching album art, etc.

Features:
 * Scrobbling listened tracks from other players like LMP to Last.FM.
 * "Loving" listened tracks.
 * Support for requesting artists that are similar to a given artist.
 * Automatic fetching of album art.
 * Support for Last.FM radio.
 * Fetching personalized recommendations.
 * Fetching recent releases of artists that are in the user's collection.
 * Fetching artists biography.
 * Configurable language of the fetched information.


%package laughty
Summary:        LeechCraft Notification Server Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Conflicts:      %{name}-sysnotify

%description laughty
This package provides a desktop notifications server plugin for Leechcraft.


%package launchy
Summary:        LeechCraft Launcher Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb = %{version}

%description launchy
This package provides a third-party application launcher plugin for Leechcraft.


%package lemon
Summary:        LeechCraft Network Monitor Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb = %{version}

%description lemon
This package provides another Network Monitor plugin for Leechcraft.


%package lhtr
Summary:        LeechCraft HTML WYSIWYG editor Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-poshuku

%description lhtr
This package provides a HTML WYSIWYG editor plugin for Leechcraft,
usable with mail and blog modules.


%package liznoo
Summary:        LeechCraft Power managment module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       upower
Recommends:     %{name}-sb = %{version}

%description liznoo
This package provides a power manager plugin for Leechcraft
which makes use of upower.

Features:
 * Displays battery status in LeechCraft tray.
 * Displays battery charge and power consumption history.
 * Notifies other plugins about sleep and resume events. This way, plugins
like Azoth can disconnect from servers gracefully on hibernation and
reconnect properly on startup.
 * Allows the user to sleep/hibernate the system.
 * Notifies the user when device starts discharging or charging.
 * Notifies the user on low capacity.


%package lmp
Summary:        LeechCraft Media player Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-lyricsprovider
Recommends:     %{name}-gacts = %{version}
Recommends:     %{name}-scrobbler
Suggests:       %{name}-lastfmscrobble
Recommends:     %{name}-musiczombie = %{version}
Recommends:     ffmpeg
Requires:       gstreamer-plugins-base >= 1.0
Requires:       gstreamer-plugins-good >= 1.0
Recommends:     gstreamer-plugins-bad
Recommends:     gstreamer-plugins-libav
Recommends:     gstreamer-fluendo-mp3
Provides:       %{name}-audioplayer
Provides:       %{name}-soundnotifications = %{version}

%description lmp
This package provides an audio player plugin for LeechCraft.
It uses Gstreamer as a backend, thus supporting major codecs.

Features:
 * Streaming media over Internet.
 * Play queue.
 * Support for automatic podcast playing (with a plugin like Aggregator).


%package lmp-brainslugz
Summary:        LeechCraft Collection Checker Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-scrobbler = %{version}
Suggests:       %{name}-lastfmscrobble = %{version}
Requires:       %{name}-lmp = %{version}
Requires:       %{name}-musiczombie = %{version}

%description lmp-brainslugz
This package provides a collection checker plugin for LeechCraft
to check the completeness of collections.


%package lmp-dumbsync
Summary:        LeechCraft Media synchronization Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}
Recommends:     %{name}-hotstreams = %{version}
Recommends:     %{name}-vrooby = %{version}

%description lmp-dumbsync
This package provides an audio syncing plugin for LeechCraft
to synchronize with Flash-like media players.


%package lmp-fradj
Summary:        LeechCraft Equalizer Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description lmp-fradj
This package provides a 10-band equalizer.


%package lmp-graffiti
Summary:        LeechCraft Tag Manipulating Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description lmp-graffiti
This package provides a tag editor plugin for LeechCraft
with with audio file tags can be manipulated.


%package lmp-httstream
Summary:        LeechCraft Music Streamer Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description lmp-httstream
This package provides a streamer plugin for LeechCraft player
to stream music from LMP via HTTP.


%package lmp-mp3tunes
Summary:        LeechCraft mp3tunes.com Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description lmp-mp3tunes
This package provides a LeechCraft plugin to
synchronizing with, and use the mp3tunes.com service.

Features:
 * Using many accounts.
 * Getting playlists.


%package lmp-mtpsync
Summary:        LeechCraft MtpSync Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-devmon = %{version}
Requires:       %{name}-lmp = %{version}

%description lmp-mtpsync
This package allows to synchronize with MTP devices via LeechCraft.


%package lmp-potorchu
Summary:        LeechCraft Visualization Effects Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}

%description lmp-potorchu
This package provides visualization effects for the LeechCraft audio player.


%package mellonetray
Summary:        LeechCraft Tray Area Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb2 = %{version}

%description mellonetray
This package provides a tray area quark for third-party apps
for LeechCraft SB2.


%package monocle
Summary:        LeechCraft Document viewer Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-monocle-subplugin

%description monocle
This package provides a modular document viewer plugin for LeechCraft
which supports different formats via backends.


%package monocle-fxb
Summary:        FictionBook support for LeechCraft Monocle
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-monocle = %{version}
Provides:       %{name}-monocle-subplugin

%description monocle-fxb
This package contains the FictionBook subplugin for LeechCraft Monocle.


%package monocle-dik
Summary:        MOBI support for LeechCraft Monocle
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-monocle = %{version}
Provides:       %{name}-monocle-subplugin

%description monocle-dik
This package contains the MOBI subplugin for LeechCraft Monocle.


%package monocle-pdf
Summary:        PDF support for LeechCraft Monocle
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-monocle = %{version}
Provides:       %{name}-monocle-mu = %{version}
Provides:       %{name}-monocle-subplugin
Obsoletes:      %{name}-monocle-mu < %{version}

%description monocle-pdf
This package contains the PDF subplugin for LeechCraft Monocle.
PDF support is provided via the libpoppler backend.


%package monocle-postrus
Summary:        PostScript support for LeechCraft Monocle
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-monocle-pdf = %{version}
Requires:       ghostscript
Provides:       %{name}-monocle-subplugin

%description monocle-postrus
This package contains the PostRus subplugin for LeechCraft Monocle
which supports PostScript document support via the ghostscript utilties.


%package monocle-seen
Summary:        djvu support for LeechCraft Monocle
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-monocle = %{version}
Provides:       %{name}-monocle-subplugin

%description monocle-seen
This package contains a LeechCraft Monocle subplugin for djvu
document support via the djvulibre backend.


%package musiczombie
Summary:        LeechCraft Azoth MusicBrainz.org client Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-lmp = %{version}

%description musiczombie
This package provides a MusicBrainz.org client plugin for LeechCraft.


%package netstoremanager
Summary:        LeechCraft Network file storages Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-netstoremanager-subplugin

%description netstoremanager
This package provides a network storage plugin for Leechcraft.

It allows to manage network storages such as Google Drive.
Different storages can be added to it without modifying the plugin itself.

Features:
 * Upload files from LeechCraft.
 * Maintain the list of uploaded files.
 * Delete the uploaded files (if supported by service).
 * Support for prolongating uploaded files (if supported by service).


%package netstoremanager-googledrive
Summary:        LeechCraft Google Drive storage Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-netstoremanager = %{version}
Provides:       %{name}-netstoremanager-subplugin

%description netstoremanager-googledrive
This package provides a Google Drive subplugin for Leechcraft NetStoreManager.


%package networkmonitor
Summary:        LeechCraft Network Monitor Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description networkmonitor
This package provides a network monitor plugin for LeechCraft.

It allows to watch for HTTP requests and allows to inspect them and search
through the list.


%package newlife
Summary:        LeechCraft Importer Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description newlife
This package provides a settings importer plugin for LeechCraft
which can import settings, preferences, etc. from various applications.

Currently it supports
 * Kopete: chat history.
 * Psi+: account settings, chat history.
 * Vacuum IM: account settings, chat history.
 * Akregator: feeds list, individual settings for each feed, like
update interval and custom storage parameters, Akregator's settings.
 * Firefox: history, bookmarks, RSS feeds (aka Live bookmarks).
 * Liferea: feeds list.


%package ooronee
Summary:        LeechCraft Text and Images Handler Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-sb2 = %{version}
Recommends:     %{name}-blasq
Recommends:     %{name}-imgaste
Recommends:     %{name}-pogooglue
Recommends:     %{name}-seekthru

%description ooronee
This package provides a Leechcraft quark handling text and images
dropped on it.

The dropped data is then sent to a data filter chosen by the user.
See more at http://leechcraft.org/concepts-data-filters .


%package otlozhu
Summary:        LeechCraft ToDo manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description otlozhu
This package provides a GTD-inspired ToDo manager plugin for LeechCraft.


%package pintab
Summary:        LeechCraft Pinned tabs Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description pintab
This package provides a pinning tab module for LeechCraft with which
it is possible to pin important tabs so that they occupy less space.


%package pogooglue
Summary:        LeechCraft Poshuku Google Search plugin
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-poshuku = %{version}

%description pogooglue
This package provides a LeechCraft plugin to do a Google search
with some selected text.


%package popishu
Summary:        LeechCraft Text editor Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-rosenthal

%description popishu
This package provides a QScintilla2-based text editor plugin for LeechCraft.

It supports basic syntax
highlighting for some common file types, folding, automatic identation, and
such. It also could be used as enhanced source view plugin for the Poshuku
browser module, for example. Multiple documents can be opened at once.


%package poshuku
Summary:        LeechCraft Web Browser Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-webbrowser
Recommends:     %{name}-imgaste = %{version}
Recommends:     %{name}-intermutko = %{version}

%description poshuku
This package provides a WebKit-based web browser plugin for LeechCraft.
Poshuku is extensible with plugins.

Currently it features:
 * integration with other plugins;
 * autodiscovery;
 * tagging bookmarks;
 * support for SQLite or PostgreSQL storage.


%package poshuku-autosearch
Summary:        LeechCraft Poshuku Autosearch Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-autosearch
This package provides an autosearch plugin for LeechCraft Poshuku.


%package poshuku-cleanweb
Summary:        LeechCraft Poshuku Ad Filter Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-cleanweb
This package provides an advertisement filter for LeechCraft Poshuku.

Features:
 * Support for Firefox AdBlock+ block lists.
 * Support for detection and subscription to such lists.
 * Automatic updates of block lists.
 * User filters: blocking arbitrary images.
 * Support for replacing Adobe Flash objects with a "Load flash" button.
 * Whitelists for the Flash blocker.


%package poshuku-dcac
Summary:        LeechCraft Poshuku DC/AC Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-dcac
This package provides the DC/AC plugin for LeechCraft Poshuku
which inverts colors on web pages.


%package poshuku-fatape
Summary:        LeechCraft Poshuku Greasemonkey Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-fatape
This package provides a Greasemonkey script plugin for LeechCraft Poshuku.
These scripts could be used for
adding new features to web pages (for example, embedding price comparisons
within shopping sites), fixing rendering bugs, combining data from multiple
webpages, and numerous other purposes.

This plugin supports almost all of the GreaseMonkey API and is compatible
with most userscripts present "in the wild".

FatApe usage is documented on the corresponding user guide page.


%package poshuku-filescheme
Summary:        LeechCraft Poshuku file: scheme module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-filescheme
This package provides file: scheme support for LeechCraft Poshuku,
allowing to navigate local resources.
FileScheme also supports "downloading" files from there.


%package poshuku-fua
Summary:        LeechCraft Poshuku module to change the user agent
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-fua
This package provides a fake user agent plugin for LeechCraft Poshuku
for setting different User-Agent strings for different URLs.

Features:
 * URLs are defined either by their substring or by regular expression.
 * Several popular predefined user agents are present.
 * Support for custom user-defined strings.
 * Support for automatic insertion of current platform, language, WebKit's
version etc. into the User-Agent string in arbitrary places.


%package poshuku-keywords
Summary:        LeechCraft Poshuku URL Keyword Support Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-keywords
This package provides an LeechCraft Poshuku module for URL keywords.


%package poshuku-onlinebookmarks
Summary:        LeechCraft Poshuku Online Bookmarks Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}
Requires:       %{name}-securestorage

%description poshuku-onlinebookmarks
This package provides an online bookmarks plugin for LeechCraft Poshuku
for synchronization of bookmarks with services like Read It Later
or Del.icio.us.


%package poshuku-onlinebookmarks-delicious
Summary:        LeechCraft Poshuku Onlinebookmarks Delicious Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku-onlinebookmarks = %{version}

%description poshuku-onlinebookmarks-delicious
This package contains a plugin for LeechCraft Poshuku Online Bookmarks
to support the Del.icio.us service.


%package poshuku-onlinebookmarks-readitlater
Summary:        LeechCraft Poshuku Onlinebookmarks ReadItLater Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku-onlinebookmarks = %{version}

%description poshuku-onlinebookmarks-readitlater
This package contains a plugin for LeechCraft Poshuku Online Bookmarks
to support the Read it Later service.


%package poshuku-qrd
Summary:        LeechCraft Poshuku QR coDe Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-qrd
This package provides a QR coDe support plugin for LeechCraft Poshuku
which can represent the URL of a web page as a QR code.


%package poshuku-speeddial
Summary:        LeechCraft Poshuku Speed Dial Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-poshuku = %{version}

%description poshuku-speeddial
This package provides the Speed Dial support plugin for LeechCraft Poshuku.


%package qrosp
Summary:        LeechCraft Qross Module
License:        LGPL-2.1+
Group:          Productivity/Networking/Other
# src/plugins/qrosp/third-party/qmetaobjectbuilder_48.*
Requires:       %{name} = %{version}
Requires:       libqrosspython1

%description qrosp
This package contains a scripting support plugin for Leechcraft.


%package rosenthal
Summary:        LeechCraft Spell Checker Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description rosenthal
This package provides a spell checker plugin for LeechCraft.

It is based on Hunspell or Myspell dictionaries.


%package sb2
Summary:        LeechCraft SideBar2 Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sb = %{version}

%description sb2
This package provides another side bar plugin for Leechcraft.

It is a sidebar with quick launch, tabs and tray areas.


%package scroblibre
Summary:        LeechCraft Submissions Protocol Scrobble Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-lmp = %{version}
Provides:       %{name}-scrobbler

%description scroblibre
This package contains a Scroblibre plugin for LeechCraft.

It is an implementation of the submissions protocol 1.2 with
support ( http://www.audioscrobbler.net/development/protocol )
for sites other than last.fm (libre.fm for now). It can
potentially handle arbitrary scrobbling URLs implementing the
submissions protocol, but it is not exposed in the GUI (yet).
 
Scroblibre is a supplement for the LastFMScrobble module, and the
latter is still the recommended one because of all the social
features it offers which Scroblibre lacks.


%package secman
Summary:        LeechCraft Security manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-secman-simplestorage = %{version}
Provides:       %{name}-securestorage

%description secman
This package provides a security manager plugin for LeechCraft.

It is the base module for secure storage.
Particular storage backends are implemented by subplugins.


%package secman-simplestorage
Summary:        LeechCraft Simple storage Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-secman = %{version}

%description secman-simplestorage
This package provides a simple unencrypted storage backend for LeechCraft SecMan.


%package seekthru
Summary:        LeechCraft OpenSearch Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-http = %{version}
Requires:       %{name}-summaryrepresentation = %{version}

%description seekthru
This package contains an OpenSearch plugin for LeechCraft
which provides a search client for OpenSearch-enabled web sites and engines.

Features:
 * Support for autodiscovery of OpenSearch-capable web sites.
 * Tagging of search engines.
 * Support for queries to several search engines at once.
 * Support search results in RSS/Atom format and subscribe to them
with a suitable plugin like Aggregator.
 * Show results in HTML format with a suitable plugin like Poshuku.


%package summary
Summary:        LeechCraft Summary info Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-summaryrepresentation

%description summary
This package provides a summary plugin for LeechCraft which shows a
quick overview of LeechCraft's state. It shows current tasks like
leeching or seeding torrents and downloading files with
context-dependent actions and views. It also can collect status
information from other plugins like unread channels.

Summary also allows to perform searches via the installed plugins
like SeekThru, HistoryHolder or vGrabber.

Features:
 * List of current tasks and events with context-dependent actions
and views for selected items.
 * Support for gathering status information from other plugins.
 * Category-based search query support via other plugins.


%package sysnotify
Summary:        LeechCraft System notification Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Provides:       %{name}-visualnotifications
Conflicts:      %{name}-laughty

%description sysnotify
This package contains a system notification plugin for LeechCraft.
Notifications are provided implementations supporting FreeDesktop's
notification standard, like KDE 4.4 (or higher), Gnome, XFCE and others.


%package tabsessionmanager
Summary:        LeechCraft Tab Session Manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description tabsessionmanager
This package provides a Tab Session Manager plugin for Leechcraft
which allows to automatically restore the last session and allows
to create named sessions.


%package tabslist
Summary:        LeechCraft TabsList Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description tabslist
This package provides a tabs list plugin for Leechcraft
which can show the list of currently opened tabs
and allows to navigate between them.


%package textogroose
Summary:        LeechCraft Script-Based Lyrics Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name}-http = %{version}
Requires:       %{name}-qrosp
Requires:       %{name}-summaryrepresentation = %{version}
Provides:       %{name}-lyricsprovider

%description textogroose
This package provides a lyrics finder plugin for LeechCraft.

Textogroose is a kind of supplement to DeadLyrics for sites
too complex to be described by DeadLyrics rules.


%package touchstreams
Summary:        LeechCraft VK.com Streaming Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-lmp = %{version}
Requires:       %{name}-musiczombie = %{version}

%description touchstreams
This package provides a VK.com music streaming plugin for Leechcraft.


%package tpi
Summary:        LeechCraft Task Progress Indicator Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb2 = %{version}

%description tpi
This package provides a Task Progress Indicator quark plugin for Leechcraft.


%package vgrabber
Summary:        LeechCraft Vkontakte grabber Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-summaryrepresentation = %{version}

%description vgrabber
This package provides a Vkontakte.ru plugin for LeechCraft
which can search for, download, and play audio and video from the Russian
social network Vkontakte.


%package vtyulc
Summary:        LeechCraft Video player Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Recommends:     %{name}-liznoo
Recommends:     vlc-codecs

%description vtyulc
This package provides a video player plugin for LeechCraft
which supports local and remote files and DVD.
It uses the VLC library as a backend.


%package vrooby
Summary:        LeechCraft Removable storage devices Manager
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}
Requires:       %{name}-sb = %{version}
Recommends:     udisks2

%description vrooby
This package provides a Vrooby plugin for LeechCraft
which allows to watch removable storage devices via D-Bus and udisks.


%package xproxy
Summary:        LeechCraft Proxy manager Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description xproxy
This package provides an advanced proxy manager for LeechCraft
with which you can configure and use proxy servers.


%package xtazy
Summary:        LeechCraft Current user tune Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description xtazy
This package provides a tune wrapper plugin for LeechCraft
with which you can get the current user tune via mpris protocol.


%package zalil
Summary:        LeechCraft File Uploader Module
License:        BSL-1.0
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description zalil
This package provides a file uploader plugin for LeechCraft
with which files can be uploaded to accountless filebin services.


%package -n libleechcraft-util-db%{db_postfix}
Summary:        Database utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-db%{db_postfix}
A library providing some commonly used database-related
classes and functions.


%package -n libleechcraft-util-gui%{gui_postfix}
Summary:        GUI utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-gui%{gui_postfix}
A library providing some commonly used GUI-related
widgets, classes and functions.


%package -n libleechcraft-util-models%{models_postfix}
Summary:        MVC utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-models%{models_postfix}
A library providing some commonly used models (as in MVC),
as well as model-related classes and functions.


%package -n libleechcraft-util-network%{network_postfix}
Summary:        Network utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-network%{network_postfix}
A library providing some commonly used
network classes and functions.


%package -n libleechcraft-util-qml%{qml_postfix}
Summary:        QML utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-qml%{qml_postfix}
A library providing some commonly used QML items as well as
QML-related classes and functions.


%package -n libleechcraft-util-shortcuts%{shortcuts_postfix}
Summary:        Shortcut utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-shortcuts%{shortcuts_postfix}
A library easing shortcut usage in LeechCraft, particularly the
configurable shortcuts subsystem.


%package -n libleechcraft-util-sll%{sll_postfix}
Summary:        Standard LeechCraft Library
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-sll%{sll_postfix}
A library providing some classes and algorithms, not directly
related to any other library.


%package -n libleechcraft-util-svcauth%{svcauth_postfix}
Summary:        Authenticators library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-svcauth%{svcauth_postfix}
A library providing authenticators for various services like VKontakte.


%package -n libleechcraft-util-sys%{sys_postfix}
Summary:        System utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-sys%{sys_postfix}
A library providing some commonly used system-related
classes and functions, like OS version parser, paths utilities or MIME
detector.


%package -n libleechcraft-util-tags%{tags_postfix}
Summary:        Tag utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-tags%{tags_postfix}
A library providing some classes and functions commonly used
with the LeechCraft tags subsystem.


%package -n libleechcraft-util-threads%{threads_postfix}
Summary:        Thread utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-threads%{threads_postfix}
A library providing some classes and functions commonly used
with the LeechCraft threads subsystem.


%package -n libleechcraft-util-x11%{x11_postfix}
Summary:        X11 utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-x11%{x11_postfix}
A library providing X11 wrappers for LeechCraft.


%package -n libleechcraft-util-xdg%{xdg_postfix}
Summary:        XDG utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-xdg%{xdg_postfix}
A library providing XDG parsers and other support methods and classes
for LeechCraft.


%package -n libleechcraft-util-xpc%{xpc_postfix}
Summary:        Cross-plugin communication utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-xpc%{xpc_postfix}
A library providing some commonly used primitives for
communications between different plugins in LeechCraft.


%package -n libleechcraft-util-xsd%{xsd_postfix}
Summary:        XSD utility library for LeechCraft
License:        BSL-1.0
Group:          Productivity/Networking/Other

%description -n libleechcraft-util-xsd%{xsd_postfix}
A library providing some classes to be used with the
XmlSettingsDialog LeechCraft subsystem.


%prep
%setup -q -n leechcraft-%{LEECHCRAFT_VERSION}
%patch0 -p1
%patch1 -p1

#removing non-free icons
rm -rf src/plugins/azoth/share/azoth/iconsets/clients/default

#removing hidden files
find src/plugins/azoth/plugins/adiumstyles/share/azoth/styles/adium/ -name ".?*" -delete

#setup permissions correctly to avoid false duplicates reported by rpmlint (bnc#784670)
find src -name '*.png' -or -name '*.css' -or -name '*.gif' -exec chmod 0644 {} +

%build
mkdir build && cd build

# bypass bug 927268 for PowerPC if clang is used above in place of gcc
tmpflags="%{optflags}"
%ifarch ppc64 ppc64le
%if 0%{suse_version} <= 1320
tmpflags=${tmpflags/-fstack-protector}
%endif
%endif

# NOTE that %%cmake macro breaks compiler configuring.
cmake ../src \
%if "%{_lib}" == "lib64"
        -DLIB_SUFFIX=64 \
%endif
%if %{use_cpp14}
        -DUSE_CPP14=True \
%endif
        -DCMAKE_CXX_FLAGS="${tmpflags} -Doverride= -DBOOST_ASIO_HAS_STD_CHRONO" \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
%if 0%{?suse_version} <= 1320
        -DCMAKE_C_COMPILER=/usr/bin/clang \
        -DCMAKE_CXX_COMPILER=/usr/bin/clang++ \
%endif
        -DSTRICT_LICENSING=True \
        -DWITH_DBUS_LOADERS=True \
        -DWITH_PCRE=True \
        -DWITH_QWT=True \
        -DENABLE_ADVANCEDNOTIFICATIONS=True \
        -DENABLE_AGGREGATOR=True \
                -DENABLE_AGGREGATOR_WEBACCESS=True \
        -DENABLE_AUSCRIE=True \
        -DENABLE_AZOTH=True \
                -DENABLE_AZOTH_ABBREV=True \
                -DENABLE_AZOTH_ACETAMIDE=True \
                -DENABLE_AZOTH_ASTRALITY=True \
                -DENABLE_AZOTH_AUTOPASTE=True \
%if 0%{?suse_version} > 1320
                -DENABLE_AZOTH_HERBICIDE=True \
%else
                -DENABLE_AZOTH_HERBICIDE=False \
%endif
                -DENABLE_AZOTH_MUCOMMANDS=True \
                -DENABLE_AZOTH_MURM=True \
                -DENABLE_AZOTH_OTROID=True \
                -DENABLE_AZOTH_SARIN=False \
                -DENABLE_AZOTH_SHX=True \
                -DENABLE_AZOTH_TRACOLOR=False \
                -DENABLE_AZOTH_VELVETBIRD=True \
                -DENABLE_AZOTH_WOODPECKER=True \
                -DENABLE_AZOTH_ZHEET=False \
                -DENABLE_MEDIACALLS=False \
        -DENABLE_BLACKDASH=False \
        -DENABLE_BLASQ=True \
                -DENABLE_BLASQ_VANGOG=True \
        -DENABLE_BLOGIQUE=True \
        -DENABLE_CERTMGR=True \
        -DENABLE_CHOROID=False \
        -DENABLE_CPULOAD=True \
        -DENABLE_DEVMON=True \
        -DENABLE_DLNIWE=False \
        -DENABLE_DOLOZHEE=True \
        -DENABLE_DUMBEEP=True \
                -DDUMBEEP_WITH_PHONON=True \
        -DENABLE_ELEEMINATOR=True \
        -DENABLE_FENET=True \
        -DENABLE_FONTIAC=False \
        -DENABLE_GACTS=True \
                -DWITH_GACTS_BUNDLED_QXT=False \
        -DENABLE_GLANCE=True \
        -DENABLE_GMAILNOTIFIER=True \
        -DENABLE_HARBINGER=True \
        -DENABLE_HOTSENSORS=False \
        -DENABLE_HOTSTREAMS=True \
        -DENABLE_HTTHARE=True \
        -DENABLE_IMGASTE=True \
        -DENABLE_INTERMUTKO=True \
        -DENABLE_KBSWITCH=True \
        -DENABLE_KNOWHOW=True \
        -DENABLE_KRIGSTASK=True \
        -DENABLE_LACKMAN=True \
        -DENABLE_LADS=False \
        -DENABLE_LASTFMSCROBBLE=True \
        -DENABLE_LAUGHTY=True \
        -DENABLE_LAUNCHY=True \
        -DENABLE_LEMON=True \
        -DENABLE_LHTR=True \
                -DWITH_LHTR_HTML=True \
        -DENABLE_LIZNOO=True \
        -DENABLE_LMP=True \
                -DENABLE_LMP_BRAINSLUGZ=True \
                -DENABLE_LMP_FRADJ=True \
                -DENABLE_LMP_GRAFFITI=True \
                -DENABLE_LMP_HTTSTREAM=True \
                -DENABLE_LMP_LIBGUESS=True \
                -DENABLE_LMP_MPRIS=True \
                -DENABLE_LMP_MTPSYNC=True \
                -DENABLE_LMP_POTORCHU=True \
                -DUSE_GSTREAMER_10=True \
        -DENABLE_MELLONETRAY=True \
        -DENABLE_MONOCLE=True \
                -DENABLE_MONOCLE_MU=False \
                -DENABLE_MONOCLE_PDF=True \
                -DENABLE_MONOCLE_POSTRUS=True \
        -DENABLE_MUSICZOMBIE=True \
%if %{with ffmpeg}
                -DWITH_MUSICZOMBIE_CHROMAPRINT=True \
%else
                -DWITH_MUSICZOMBIE_CHROMAPRINT=False \
%endif
        -DENABLE_NACHEKU=False \
        -DENABLE_NETSTOREMANAGER=True \
                -DENABLE_NETSTOREMANAGER_DROPBOX=False \
                -DENABLE_NETSTOREMANAGER_GOOGLEDRIVE=True \
        -DENABLE_NEWLIFE=True \
        -DENABLE_OORONEE=True \
        -DENABLE_OTLOZHU=True \
                -DENABLE_OTLOZHU_SYNC=False \
        -DENABLE_PINTAB=True \
        -DENABLE_POGOOGLUE=True \
        -DENABLE_POLEEMERY=False \
        -DENABLE_POPISHU=True \
        -DENABLE_POSHUKU=True \
                -DENABLE_IDN=True \
                -DENABLE_POSHUKU_AUTOSEARCH=True \
                -DENABLE_POSHUKU_DCAC=True \
                -DENABLE_POSHUKU_QRD=True \
                -DENABLE_POSHUKU_SPEEDDIAL=True \
        -DENABLE_QROSP=True \
        -DENABLE_SB2=True \
        -DENABLE_SCROBLIBRE=True \
        -DENABLE_SECMAN=True \
        -DENABLE_SHELLOPEN=False \
        -DENABLE_SNAILS=False \
        -DENABLE_SYNCER=False \
        -DENABLE_TABSESSMANAGER=True \
        -DENABLE_TABSLIST=True \
        -DENABLE_TEXTOGROOSE=True \
        -DENABLE_TORRENT=True \
                -DENABLE_BITTORRENT_GEOIP=True \
        -DENABLE_TOUCHSTREAMS=True \
        -DENABLE_TPI=True \
        -DENABLE_TWIFEE=False \
        -DENABLE_VTYULC=True \
        -DENABLE_VROOBY=True \
        -DENABLE_WKPLUGINS=False \
%if %{use_cpp14}
        -DENABLE_XPROXY=True \
%else
        -DENABLE_XPROXY=False \
%endif
        -DENABLE_ZALIL=True \
        -DLEECHCRAFT_VERSION="%{LEECHCRAFT_VERSION} with bittorrent 0.6.70-7122-g83dc80a"

make -k %{?_smp_mflags} VERBOSE=1

%install
%cmake_install

# Unneeded here Qt5 build' files:
rm -rf %{buildroot}%{_datadir}/leechcraft/qml5
rm -rf %{buildroot}%{_datadir}/applications/%{name}*qt5.desktop

cp %{SOURCE8} %{SOURCE9} %{buildroot}%{_mandir}/man1

%fdupes -s %{buildroot}%{_datadir}/%{name}/translations
%fdupes -s %{buildroot}%{_datadir}/%{name}/azoth
%fdupes -s %{buildroot}%{_datadir}/%{name}/global_icons/flags
%fdupes -s %{buildroot}%{_datadir}/%{name}/themes

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post   -n libleechcraft-util-db%{db_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-db%{db_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-gui%{gui_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-gui%{gui_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-models%{models_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-models%{models_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-network%{network_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-network%{network_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-qml%{qml_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-qml%{qml_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-shortcuts%{shortcuts_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-shortcuts%{shortcuts_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-sll%{sll_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-sll%{sll_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-svcauth%{svcauth_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-svcauth%{svcauth_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-sys%{sys_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-sys%{sys_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-tags%{tags_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-tags%{tags_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-threads%{threads_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-threads%{threads_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-x11%{x11_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-x11%{x11_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-xdg%{xdg_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-xdg%{xdg_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-xpc%{xpc_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-xpc%{xpc_postfix} -p /sbin/ldconfig
%post   -n libleechcraft-util-xsd%{xsd_postfix} -p /sbin/ldconfig
%postun -n libleechcraft-util-xsd%{xsd_postfix} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}-add-file
%{_mandir}/man1/%{name}-add-file.1.*
%{_bindir}/%{name}-handle-file
%{_mandir}/man1/%{name}-handle-file.1.*
%{_bindir}/lc_plugin_wrapper
%{_mandir}/man1/lc_plugin_wrapper.1.*
%{settings_dir}/coresettings.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%dir %{_datadir}/icons/hicolor/14x14
%dir %{_datadir}/icons/hicolor/14x14/apps
%dir %{_datadir}/leechcraft
%dir %{settings_dir}
%dir %{translations_dir}
%dir %{qml_dir}
%{translations_dir}/*craft_??.qm
%{translations_dir}/*craft_??_??.qm
%dir %{_libdir}/%{name}
%dir %{plugin_dir}
%{_libdir}/libleechcraft-util.so.*
%{_libdir}/lib%{name}-xsd.so.*
%{_datadir}/leechcraft/global_icons/
%dir %{_datadir}/leechcraft/themes
%dir %{_datadir}/leechcraft/themes/*
%{_datadir}/leechcraft/themes/*/*.rc
%exclude %{_datadir}/cmake/Modules/InitLCPlugin.cmake
%{qml_dir}/org/
%{qml_dir}/common/

%files advancednotifications
%defattr(-,root,root)
%{plugin_dir}/*craft_advancednotifications.so
%{translations_dir}/*craft_advancednotifications*
%{settings_dir}/advancednotificationssettings.xml
%{qml_dir}/advancednotifications
%{_datadir}/leechcraft/sounds

%files aggregator
%defattr(-,root,root)
%{settings_dir}/aggregatorsettings.xml
%{translations_dir}/*craft_aggregator_??.qm
%{translations_dir}/*craft_aggregator_??_??.qm
%{plugin_dir}/*craft_aggregator.so

%files aggregator-bodyfetch
%defattr(-,root,root)
%{plugin_dir}/*craft_aggregator_bodyfetch.so
%dir %{_datadir}/leechcraft/scripts
%{_datadir}/leechcraft/scripts/aggregator/

%files aggregator-webaccess
%defattr(-,root,root)
%{plugin_dir}/*craft_aggregator_webaccess.so
%{settings_dir}/aggregatorwebaccesssettings.xml
%{translations_dir}/*craft_aggregator_webaccess*.qm

%files anhero
%defattr(-,root,root)
%{_bindir}/lc_anhero_crashprocess
%{plugin_dir}/*craft_anhero.so
%{translations_dir}/*craft_anhero*
%doc %{_mandir}/man*/lc_anhero_crashprocess*

%files auscrie
%defattr(-,root,root)
%{translations_dir}/*craft_auscrie_*.qm
%{plugin_dir}/lib%{name}_auscrie.so

%files azoth
%defattr(-,root,root)
%dir %{_datadir}/leechcraft/azoth
%dir %{_datadir}/leechcraft/azoth/styles
%{_datadir}/leechcraft/azoth/emoticons
%{_datadir}/leechcraft/azoth/iconsets
%{settings_dir}/azothsettings.xml
%{translations_dir}/*craft_azoth_??.qm
%{translations_dir}/*craft_azoth_??_??.qm
%{plugin_dir}/*craft_azoth.so

%files azoth-abbrev
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_abbrev.so
%{translations_dir}/*craft_azoth_abbrev_??.qm
%{translations_dir}/*craft_azoth_abbrev_??_??.qm

%files azoth-acetamide
%defattr(-,root,root)
%{settings_dir}/azothacetamidesettings.xml
%{translations_dir}/*craft_azoth_acetamide*
%{plugin_dir}/*craft_azoth_acetamide.so
%{_datadir}/applications/%{name}-azoth-acetamide.desktop

%files azoth-adiumstyles
%defattr(644,root,root,755)
%{plugin_dir}/*craft_azoth_adiumstyles*
%{_datadir}/leechcraft/azoth/styles/adium
%{translations_dir}/*craft_azoth_adiumstyles_*.qm

%files azoth-astrality
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_azoth_astrality.so
%{translations_dir}/*craft_azoth_astrality_*.qm

%files azoth-autoidler
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_autoidler*
%{settings_dir}/azothautoidlersettings.xml
%{translations_dir}/*craft_azoth_autoidler*

%files azoth-autopaste
%defattr(-,root,root)
%{settings_dir}/azothautopastesettings.xml
%{translations_dir}/*craft_azoth_autopaste*
%{plugin_dir}/*craft_azoth_autopaste.so

%files azoth-birthdaynotifier
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_birthdaynotifier.so
%{settings_dir}/azothbirthdaynotifiersettings.xml
%{translations_dir}/*craft_azoth_birthdaynotifier*

%files azoth-chathistory
%defattr(-,root,root)
%{translations_dir}/*craft_azoth_chathistory*
%{plugin_dir}/*craft_azoth_chathistory.so
%{settings_dir}/azothchathistorysettings.xml

%files azoth-depester
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_depester.so
%{translations_dir}/*craft_azoth_depester*

%files azoth-embedmedia
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_embedmedia.so

%if 0%{?suse_version} > 1320
%files azoth-herbicide
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_herbicide.so
%{translations_dir}/*craft_azoth_herbicide*
%{settings_dir}/azothherbicidesettings.xml
%endif

%files azoth-hili
%defattr(-,root,root)
%{settings_dir}/azothhilisettings.xml
%{translations_dir}/*craft_azoth_hili*
%{plugin_dir}/*craft_azoth_hili.so

%files azoth-isterique
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_isterique*
%{settings_dir}/azothisteriquesettings.xml
%{translations_dir}/*craft_azoth_isterique*

%files azoth-juick
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_juick.so
%{translations_dir}/*craft_azoth_juick_*.qm

%files azoth-keeso
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_keeso.so

%files azoth-lastseen
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_lastseen*
%{translations_dir}/*craft_azoth_lastseen*

%files azoth-metacontacts
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_metacontacts*
%{translations_dir}/*craft_azoth_metacontacts*

%files azoth-modnok
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_modnok*
%{settings_dir}/azothmodnoksettings.xml
%{translations_dir}/*craft_azoth_modnok*
%{_datadir}/leechcraft/azoth/lc_azoth_modnok_latexconvert.sh

%files azoth-mucommands
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_mucommands.so
%{translations_dir}/*craft_azoth_mucommands_??.qm
%{translations_dir}/*craft_azoth_mucommands_??_??.qm

%files azoth-murm
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_murm.so
%{translations_dir}/*craft_azoth_murm*.qm
%{settings_dir}/azothmurmsettings.xml

%files azoth-nativeemoticons
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_nativeemoticons.so
%{translations_dir}/*craft_azoth_nativeemoticons_*.qm

%files azoth-otroid
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_otroid.so
%{translations_dir}/*craft_azoth_otroid*.qm
%{settings_dir}/azothotroidsettings.xml

%files azoth-rosenthal
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_rosenthal.so
%{translations_dir}/*craft_azoth_rosenthal*

%files azoth-shx
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_shx.so
%{settings_dir}/azothshxsettings.xml
%{translations_dir}/*craft_azoth_shx_*.qm

%files azoth-standardstyles
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_standardstyles.so
%{_datadir}/leechcraft/azoth/styles/standard/
%{translations_dir}/*craft_azoth_standardstyles_*.qm

%files azoth-vader
%defattr(-,root,root)
%{translations_dir}/*craft_azoth_vader*
%{settings_dir}/azothvadersettings.xml
%{plugin_dir}/*craft_azoth_vader.so

%files azoth-velvetbird
%defattr(-,root,root)
%{plugin_dir}/*craft_azoth_velvetbird.so

%files azoth-woodpecker
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_azoth_woodpecker.so
%{settings_dir}/azothwoodpeckersettings.xml
%{translations_dir}/*craft_azoth_woodpecker_*.qm

%files azoth-xoox
%defattr(-,root,root)
%{translations_dir}/*craft_azoth_xoox*
%{plugin_dir}/*craft_azoth_xoox.so
%{_datadir}/applications/%{name}-azoth-xoox.desktop
%{settings_dir}/azothxooxsettings.xml

%files azoth-xtazy
%defattr(-,root,root)
%{settings_dir}/azothxtazysettings.xml
%{plugin_dir}/*craft_azoth_xtazy.so
%{translations_dir}/*craft_azoth_xtazy*

%files bittorrent
%defattr(-,root,root)
%{settings_dir}/torrentsettings.xml
%{translations_dir}/*craft_bittorrent_*.qm
%{plugin_dir}/*craft_bittorrent.so
%{_datadir}/applications/%{name}-bittorrent.desktop

%files blasq
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blasq.so
%{settings_dir}/blasqsettings.xml
%{qml_dir}/blasq
%{translations_dir}/*craft_blasq_??.qm
%{translations_dir}/*craft_blasq_??_??.qm

%files blasq-spegnersi
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blasq_spegnersi.so
%{translations_dir}/*craft_blasq_spegnersi*.qm

%files blasq-deathnote
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blasq_deathnote.so
%{translations_dir}/*craft_blasq_deathnote*.qm

%files blasq-rappor
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blasq_rappor.so
%{translations_dir}/*craft_blasq_rappor*.qm

%files blasq-vangog
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blasq_vangog.so
%{translations_dir}/*craft_blasq_vangog*.qm

%files blogique
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blogique.so
%{settings_dir}/blogiquesettings.xml
%{translations_dir}/*craft_blogique_??.qm
%{translations_dir}/*craft_blogique_??_??.qm
%dir %{qml_dir}/blogique
%{qml_dir}/blogique/*.qml
%{qml_dir}/blogique/*.js

%files blogique-hestia
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blogique_hestia.so
%{settings_dir}/blogiquehestiasettings.xml
%{translations_dir}/*craft_blogique_hestia*.qm

%files blogique-metida
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_blogique_metida.so
%{settings_dir}/blogiquemetidasettings.xml
%{translations_dir}/*craft_blogique_metida*.qm

%files certmgr
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_certmgr.so
%{settings_dir}/certmgrsettings.xml
%{translations_dir}/*craft_certmgr*.qm

%files cpuload
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_cpuload.so
%{qml_dir}/cpuload
%{translations_dir}/*craft_cpuload*.qm

%files cstp
%defattr(-,root,root)
%{settings_dir}/cstpsettings.xml
%{translations_dir}/*craft_cstp*.qm
%{plugin_dir}/*leechcraft_cstp.so

%files dbusmanager
%defattr(-,root,root)
%{translations_dir}/*craft_dbusmanager*.qm
%{plugin_dir}/*leechcraft_dbusmanager.so
%{settings_dir}/dbusmanagersettings.xml

%files deadlyrics
%defattr(-,root,root)
%{translations_dir}/*craft_deadlyrics*.qm
%{plugin_dir}/*craft_deadlyrics.so

%files devel
%defattr(-,root,root)
%{_datadir}/leechcraft/cmake
%{_includedir}/%{name}
%{_libdir}/libleechcraft-util*.so
%{_libdir}/lib%{name}-xsd.so
%{_datadir}/cmake/Modules/InitLCPlugin.cmake

%files devmon
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_devmon.so
%{translations_dir}/*craft_devmon_*.qm

%files dolozhee
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_dolozhee.so
%{translations_dir}/*craft_dolozhee_*.qm

%files dumbeep
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_dumbeep.so
%{settings_dir}/dumbeepsettings.xml

%files eleeminator
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_eleeminator.so
%{translations_dir}/*craft_eleeminator_??.qm
%{translations_dir}/*craft_eleeminator_??_??.qm
%{settings_dir}/eleeminatorsettings.xml

%files fenet
%defattr(-,root,root)
%{plugin_dir}/*craft_fenet.so
%{settings_dir}/fenetsettings.xml
%{_bindir}/%{name}-session
%{_mandir}/man1/*-session.1.*
%dir %{_datadir}/leechcraft/fenet
%dir %{_datadir}/leechcraft/fenet/compositing
%dir %{_datadir}/leechcraft/fenet/wms
%{_datadir}/xsessions/LCDE.desktop
%{translations_dir}/*craft_fenet_*.qm
%{_datadir}/leechcraft/fenet/compositing/*compton*

%files fenet-awesome
%defattr(-,root,root)
%dir %{_datadir}/leechcraft/fenet
%dir %{_datadir}/leechcraft/fenet/wms
%{_datadir}/leechcraft/fenet/wms/*awesome*

%files fenet-kwin
%defattr(-,root,root)
%dir %{_datadir}/leechcraft/fenet
%dir %{_datadir}/leechcraft/fenet/wms
%{_datadir}/leechcraft/fenet/wms/*kwin*

%files fenet-openbox
%defattr(-,root,root)
%dir %{_datadir}/leechcraft/fenet
%dir %{_datadir}/leechcraft/fenet/wms
%{_datadir}/leechcraft/fenet/wms/*openbox*

%files gacts
%defattr(-,root,root)
%doc src/plugins/gacts/3rdparty/qxt/LICENSE
%{plugin_dir}/*craft_gacts.so
%{translations_dir}/*craft_gacts_*.qm

%files glance
%defattr(-,root,root)
%{plugin_dir}/*craft_glance.so
%{translations_dir}/*craft_glance*

%files gmailnotifier
%defattr(-,root,root)
%{plugin_dir}/*craft_gmailnotifier.so
%{settings_dir}/gmailnotifiersettings.xml
%{translations_dir}/*craft_gmailnotifier*
%{qml_dir}/gmailnotifier/

%files harbinger
%defattr(-,root,root)
%{plugin_dir}/*craft_harbinger.so

%files historyholder
%defattr(-,root,root)
%{plugin_dir}/*leechcraft_historyholder.so
%{translations_dir}/*craft_historyholder*.qm

%files hotstreams
%defattr(-,root,root)
%{plugin_dir}/*craft_hotstreams.so
%{translations_dir}/*craft_hotstreams_*.qm

%files htthare
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_htthare.so
%{settings_dir}/httharesettings.xml
%{translations_dir}/*craft_htthare_*.qm

%files imgaste
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_imgaste.so
%{translations_dir}/*craft_imgaste_*.qm

%files intermutko
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_intermutko.so
%{settings_dir}/intermutkosettings.xml
%{translations_dir}/*craft_intermutko_??.qm
%{translations_dir}/*craft_intermutko_??_??.qm

%files kbswitch
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_kbswitch.so
%{settings_dir}/kbswitchsettings.xml
%{translations_dir}/*craft_kbswitch_*.qm
%{qml_dir}/kbswitch

%files kinotify
%defattr(-,root,root)
%{_datadir}/leechcraft/kinotify
%{settings_dir}/kinotifysettings.xml
%{plugin_dir}/*craft_kinotify.so
%{translations_dir}/*craft_kinotify_*.qm

%files knowhow
%defattr(-,root,root)
%{_datadir}/leechcraft/knowhow
%{plugin_dir}/*craft_knowhow.so
%{settings_dir}/knowhowsettings.xml

%files krigstask
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_krigstask.so
%{qml_dir}/krigstask
%{translations_dir}/*craft_krigstask_*.qm

%files lackman
%defattr(-,root,root)
%{plugin_dir}/*craft_lackman.so
%{settings_dir}/lackmansettings.xml
%{translations_dir}/*craft_lackman*

%files lastfmscrobble
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_lastfmscrobble.so
%{settings_dir}/lastfmscrobblesettings.xml
%{translations_dir}/*craft_lastfmscrobble_*.qm

%files laughty
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_laughty.so
%{translations_dir}/*craft_laughty_*.qm

%files launchy
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_launchy.so
%{translations_dir}/*craft_launchy_*.qm
%{qml_dir}/launchy

%files lemon
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_lemon.so
%{qml_dir}/lemon/
%{translations_dir}/*craft_lemon_*.qm
%{settings_dir}/lemonsettings.xml

%files lhtr
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_lhtr.so
%{translations_dir}/*craft_lhtr_*.qm
%{settings_dir}/lhtrsettings.xml

%files liznoo
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_liznoo.so
%{settings_dir}/liznoosettings.xml
%{translations_dir}/*craft_liznoo_*.qm

%files lmp
%defattr(-,root,root)
%{settings_dir}/lmpsettings.xml
%{settings_dir}/lmpfilterrgsettings.xml
%{translations_dir}/*craft_lmp_??.qm
%{translations_dir}/*craft_lmp_??_??.qm
%{plugin_dir}/*craft_lmp.so
%{_datadir}/applications/%{name}-lmp*.desktop
%dir %{qml_dir}/lmp
%{qml_dir}/lmp/*.qml
%exclude %{qml_dir}/lmp/brainslugz

%files lmp-brainslugz
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_lmp_brainslugz.so
%dir %{qml_dir}/lmp
%{qml_dir}/lmp/brainslugz
%{translations_dir}/*craft_lmp_brainslugz_*.qm

%files lmp-dumbsync
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_dumbsync.so
%{settings_dir}/lmpdumbsyncsettings.xml
%{translations_dir}/*craft_lmp_dumbsync_??.qm
%{translations_dir}/*craft_lmp_dumbsync_??_??.qm

%files lmp-fradj
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_fradj.so
%{translations_dir}/*craft_lmp_fradj_??.qm
%{translations_dir}/*craft_lmp_fradj_??_??.qm

%files lmp-graffiti
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_graffiti.so
%{translations_dir}/*craft_lmp_graffiti_??.qm
%{translations_dir}/*craft_lmp_graffiti_??_??.qm

%files lmp-httstream
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_httstream.so
%{settings_dir}/lmphttstreamfiltersettings.xml
%{translations_dir}/*craft_lmp_httstream_??.qm
%{translations_dir}/*craft_lmp_httstream_??_??.qm

%files lmp-mp3tunes
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_mp3tunes.so
%{settings_dir}/lmpmp3tunessettings.xml

%files lmp-mtpsync
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_mtpsync.so

%files lmp-potorchu
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_potorchu.so
%{translations_dir}/*craft_lmp_potorchu_??.qm
%{translations_dir}/*craft_lmp_potorchu_??_??.qm

%files mellonetray
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_mellonetray.so
%{qml_dir}/mellonetray/
%{translations_dir}/*craft_mellonetray_*.qm

%files monocle
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle.so
%{translations_dir}/*craft_monocle_??.qm
%{translations_dir}/*craft_monocle_??_??.qm
%{settings_dir}/monoclesettings.xml

%files monocle-dik
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle_dik.so
%{translations_dir}/*craft_monocle_dik_??.qm
%{translations_dir}/*craft_monocle_dik_??_??.qm

%files monocle-fxb
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle_fxb.so
%{_datadir}/applications/%{name}-monocle-fxb.desktop
%{settings_dir}/monoclefxbsettings.xml
%{translations_dir}/*craft_monocle_fxb_??.qm
%{translations_dir}/*craft_monocle_fxb_??_??.qm

%files monocle-pdf
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle_pdf.so
%{_datadir}/applications/%{name}-monocle-pdf.desktop
%{settings_dir}/monoclepdfsettings.xml
%{translations_dir}/*craft_monocle_pdf_??.qm
%{translations_dir}/*craft_monocle_pdf_??_??.qm

%files monocle-postrus
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle_postrus.so
%{_datadir}/applications/%{name}-monocle-postrus.desktop
%{translations_dir}/*craft_monocle_postrus_??.qm
%{translations_dir}/*craft_monocle_postrus_??_??.qm

%files monocle-seen
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_monocle_seen.so
%{_datadir}/applications/%{name}-monocle-seen.desktop
%{translations_dir}/*craft_monocle_seen_??.qm
%{translations_dir}/*craft_monocle_seen_??_??.qm

%files musiczombie
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_musiczombie.so
%{translations_dir}/*craft_musiczombie_*.qm

%files netstoremanager
%defattr(-,root,root)
%{plugin_dir}/*craft_netstoremanager.so
%{settings_dir}/netstoremanagersettings.xml
%{translations_dir}/*craft_netstoremanager_??.qm
%{translations_dir}/*craft_netstoremanager_??_??.qm

%files netstoremanager-googledrive
%defattr(-,root,root)
%{plugin_dir}/*craft_netstoremanager_googledrive.so
%{settings_dir}/nsmgoogledrivesettings.xml
%{translations_dir}/*craft_netstoremanager_googledrive_*.qm

%files networkmonitor
%defattr(-,root,root)
%{translations_dir}/*craft_networkmonitor*.qm
%{plugin_dir}/*craft_networkmonitor.so

%files newlife
%defattr(-,root,root)
%{translations_dir}/*craft_newlife*.qm
%{plugin_dir}/*craft_newlife.so

%files ooronee
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_ooronee.so
%{settings_dir}/ooroneesettings.xml
%{qml_dir}/ooronee
%{translations_dir}/*craft_ooronee_*.qm

%files otlozhu
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_otlozhu.so
%{translations_dir}/*craft_otlozhu_*.qm
%{settings_dir}/otlozhusettings.xml

%files pintab
%defattr(-,root,root)
%{plugin_dir}/*craft_pintab.so
%{translations_dir}/*craft_pintab_*.qm

%files pogooglue
%defattr(-,root,root)
%{plugin_dir}/*craft_pogooglue*
%{translations_dir}/*craft_pogooglue*

%files popishu
%defattr(-,root,root)
%{settings_dir}/popishusettings.xml
%{translations_dir}/*craft_popishu_*.qm
%{plugin_dir}/*craft_popishu.so

%files poshuku
%defattr(-,root,root)
%dir %{_datadir}/leechcraft/installed
%{_datadir}/leechcraft/installed/poshuku/
%{settings_dir}/poshukusettings.xml
%{translations_dir}/*craft_poshuku_??.qm
%{translations_dir}/*craft_poshuku_??_??.qm
%{plugin_dir}/*craft_poshuku.so

%files poshuku-autosearch
%defattr(-,root,root)
%{plugin_dir}/*craft_poshuku_autosearch.so
%{translations_dir}/*craft_poshuku_autosearch_*.qm

%files poshuku-cleanweb
%defattr(-,root,root)
%{settings_dir}/poshukucleanwebsettings.xml
%{translations_dir}/*craft_poshuku_cleanweb*.qm
%{plugin_dir}/*craft_poshuku_cleanweb.so

%files poshuku-dcac
%defattr(-,root,root)
%{plugin_dir}/*craft_poshuku_dcac.so
%{translations_dir}/*craft_poshuku_dcac_??.qm
%{translations_dir}/*craft_poshuku_dcac_??_??.qm
%{settings_dir}/poshukudcacsettings.xml

%files poshuku-fatape
%defattr(-,root,root)
%{settings_dir}/poshukufatapesettings.xml
%{plugin_dir}/*craft_poshuku_fatape.so
%{translations_dir}/*craft_poshuku_fatape_*.qm

%files poshuku-filescheme
%defattr(-,root,root)
%{translations_dir}/*craft_poshuku_filescheme_*.qm
%{plugin_dir}/*craft_poshuku_filescheme.so

%files poshuku-fua
%defattr(-,root,root)
%{settings_dir}/poshukufuasettings.xml
%{translations_dir}/*craft_poshuku_fua*.qm
%{plugin_dir}/*craft_poshuku_fua.so

%files poshuku-keywords
%defattr(-,root,root,-)
%{plugin_dir}/*craft_poshuku_keywords.so
%{settings_dir}/poshukukeywordssettings.xml
%{translations_dir}/*craft_poshuku_keywords_*.qm

%files poshuku-onlinebookmarks
%defattr(-,root,root)
%{settings_dir}/poshukuonlinebookmarkssettings.xml
%{translations_dir}/*craft_poshuku_onlinebookmarks*.qm
%{plugin_dir}/*craft_poshuku_onlinebookmarks.so

%files poshuku-onlinebookmarks-delicious
%defattr(-,root,root)
%{plugin_dir}/*craft_poshuku_onlinebookmarks_delicious*

%files poshuku-onlinebookmarks-readitlater
%defattr(-,root,root)
%{plugin_dir}/*craft_poshuku_onlinebookmarks_readitlater.*

%files poshuku-qrd
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_poshuku_qrd.so
%{translations_dir}/*craft_poshuku_qrd_??.qm
%{translations_dir}/*craft_poshuku_qrd_??_??.qm

%files poshuku-speeddial
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_poshuku_speeddial.so
%{settings_dir}/poshukuspeeddialsettings.xml
%{translations_dir}/*craft_poshuku_speeddial_??.qm
%{translations_dir}/*craft_poshuku_speeddial_??_??.qm

%files qrosp
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_qrosp.so

%files rosenthal
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_rosenthal.so
%{translations_dir}/*craft_rosenthal*
%{settings_dir}/rosenthalsettings.xml

%files sb2
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_sb2.so
%{qml_dir}/sb2/
%{settings_dir}/sb2panelsettings.xml
%{translations_dir}/*craft_sb2_*.qm

%files scroblibre
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_scroblibre.so
%{settings_dir}/scroblibresettings.xml
%{translations_dir}/*craft_scroblibre_*.qm

%files secman
%defattr(-,root,root)
%{plugin_dir}/*craft_secman.so
%{translations_dir}/*craft_secman_*.qm

%files secman-simplestorage
%defattr(-,root,root)
%{plugin_dir}/*craft_secman_simplestorage.so

%files seekthru
%defattr(-,root,root)
%{settings_dir}/seekthrusettings.xml
%{translations_dir}/*craft_seekthru*.qm
%{plugin_dir}/*craft_seekthru.so

%files summary
%defattr(-,root,root)
%{translations_dir}/*craft_summary*.qm
%{plugin_dir}/*craft_summary.so

%files sysnotify
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_sysnotify.so
%{translations_dir}/*craft_sysnotify_*.qm

%files tabsessionmanager
%defattr(-,root,root)
%{plugin_dir}/*craft_tabsessmanager.so
%{translations_dir}/*craft_tabsessmanager_*.qm

%files tabslist
%defattr(-,root,root)
%{plugin_dir}/*craft_tabslist.so
%{translations_dir}/*craft_tabslist*

%files textogroose
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_textogroose.so

%files touchstreams
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_touchstreams.so
%{translations_dir}/*craft_touchstreams*.qm
%{settings_dir}/touchstreamssettings.xml

%files tpi
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_tpi.so
%{qml_dir}/tpi/

%files vgrabber
%defattr(-,root,root)
%{settings_dir}/vgrabbersettings.xml
%{translations_dir}/*craft_vgrabber*.qm
%{plugin_dir}/*craft_vgrabber.so

%files vtyulc
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_vtyulc.so
%{settings_dir}/vtyulcsettings.xml
%{translations_dir}/*craft_vtyulc_*.qm

%files vrooby
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_vrooby.so
%{translations_dir}/*craft_vrooby_*.qm
%{qml_dir}/vrooby

%if %{use_cpp14}
%files xproxy
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_xproxy.so
%{settings_dir}/xproxysettings.xml
%{translations_dir}/*craft_xproxy_*.qm
%{_datadir}/leechcraft/scripts/xproxy
%endif

%files xtazy
%defattr(-,root,root)
%{settings_dir}/xtazysettings.xml
%{plugin_dir}/*craft_xtazy.so
%{translations_dir}/*craft_xtazy_??.qm
%{translations_dir}/*craft_xtazy_??_??.qm

%files zalil
%defattr(-,root,root)
%{plugin_dir}/*craft_zalil.so
%{translations_dir}/*craft_zalil_??.qm
%{translations_dir}/*craft_zalil_??_??.qm

%files -n libleechcraft-util-db%{db_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-db*.so.*

%files -n libleechcraft-util-gui%{gui_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-gui*.so.*

%files -n libleechcraft-util-models%{models_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-models*.so.*

%files -n libleechcraft-util-network%{network_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-network*.so.*

%files -n libleechcraft-util-qml%{qml_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-qml*.so.*

%files -n libleechcraft-util-shortcuts%{shortcuts_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-shortcuts*.so.*

%files -n libleechcraft-util-sll%{sll_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-sll*.so.*

%files -n libleechcraft-util-svcauth%{svcauth_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-svcauth*.so.*

%files -n libleechcraft-util-sys%{sys_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-sys*.so.*

%files -n libleechcraft-util-tags%{tags_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-tags*.so.*

%files -n libleechcraft-util-threads%{threads_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-threads*.so.*

%files -n libleechcraft-util-x11%{x11_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-x11*.so.*

%files -n libleechcraft-util-xdg%{xdg_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-xdg*.so.*

%files -n libleechcraft-util-xpc%{xpc_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-xpc*.so.*

%files -n libleechcraft-util-xsd%{xsd_postfix}
%defattr(-,root,root)
%{_libdir}/*-util-xsd*.so.*

%changelog
* Sun Jul 31 2016 jengelh@inai.de
- Update summaries and descriptions: rectify grammar and remove
  redundant mentions.
- Avoid sh invocation for simple ldconfig calls.
* Mon Jul 25 2016 olaf@aepfle.de
- Unconditionally build with ffmpeg
* Mon Jul  4 2016 dap.darkness@gmail.com
- Updated leechcraft-0.6.70-6645-gcd10d7e-torrent110.diff & added
  BOOST_ASIO_HAS_STD_CHRONO vs. bittorrent initialization failure.
- Cmake clean-up.
- Man pages clean-up.
* Sat Jun 11 2016 dap.darkness@gmail.com
- Dropped openSUSE 13.1 & SLE because of no valid compiler.
- Enabled more packages for openSUSE Leap 42.
- Recommended extra engines for lmp.
- Added rpmlintrc to silence useless warnings.
- Added simple man pages.
* Sat May  7 2016 dap.darkness@gmail.com
- Updated to 0.6.70-6645-gcd10d7e git snapshot:
  (NOTE: the latest one supporting gcc 4.8
  i.e. openSUSE 13.1, 13.2 & Leap 42.1)
- Azoth Herbicide required boost ≥ 1.58
  and was disabled for 13.1, 13.2 & Leap 42.1 so.
- Added leechcraft-0.6.70-6645-gcd10d7e-torrent110.diff
  for newest torrent rasterbar support.
- Added leechcraft-0.6.70-6645-gcd10d7e-hunspell14.diff
  for newest hunspell support.
* Wed Feb  3 2016 dap.darkness@gmail.com
- Updated to 0.6.70-6053-g34d21e8 git snapshot:
  * Threads utility was split out.
  * Taglib >= 1.10 became supported.
- Musiczombie plugin chromaprint future was enabled for Factory.
- C++14 code and xproxy plugin were enabled for Factory.
- leechcraft-lmp-append-gstreamer-include-dirs-pkgconfig.patch
  was removed as already provided via upstream tarball.
* Sun Nov 29 2015 mlin@suse.com
- Add leechcraft-lmp-append-gstreamer-include-dirs-pkgconfig.patch
  * Fix compilation in lmp plugin with GStreamer 1.5.1 and above
* Fri Aug 21 2015 normand@linux.vnet.ibm.com
- bypass bug 927268 for PowerPC if clang used in place of gcc
  for build ppc64le architecture and (suse_version} <= 1320
* Thu Jul  2 2015 dap.darkness@gmail.com
- Fixed openSUSE <= 13.2 builds & pcc x32.
* Wed Jul  1 2015 pth@suse.de
- Build with gcc/g++ at least for the time being to avoid compiler
  error. But use it only if suse_version > 1320.
* Wed Jun 10 2015 dap.darkness@gmail.com
- Updated to 0.6.70-3565-g2d86529 git snapshot.
- Utils postfix macros were introduced,
  devel subpackage requirements were fixed.
* Mon May 25 2015 dap.darkness@gmail.com
- Updated to 0.6.70-3466-g864bd1a git snapshot:
  * clang seems to be better C++ compiler;
  * Dolozhee plugin got https support and was fixed so.
- New plugins were enabled:
  * snails — e-mail client.
- C++14 support (gcc >= 4.9 is required).
* Tue Apr 21 2015 dap.darkness@gmail.com
- Updated to 0.6.70-2742-gfaed6e2 git snapshot
  to resolve openSUSE Factory build time issue.
- More directories macro using to be ready for Qt5 release.
- Dropped openSUSE < 13.1, removed useless patches:
  * leechcraft-azoth-gcc47.patch
  * leechcraft-monocle-gcc47.patch
  * leechcraft-gcc47.patch
- Removed useless obsoletings.
- Let's recommend set of packages.
- New plugins were enabled:
  * azoth-abbrev provides abbreviations via commands like /abbrev
    for LeechCraft Azoth;
  * intermutko provides a HTTP Accept-Language header configurator;
  * lmp-potorchu provides visualization effects
    for LeechCraft audio player;
  * zalil allows to upload files to accountless filebin services.
- Useless Qt5' files removing.
- SLE 12 support.
* Mon Jan 26 2015 dap.darkness@gmail.com
- Disabled plugins:
  * azoth-zheet; MSN support became obsoleted by MSFT.
* Sun Jan 25 2015 crrodriguez@opensuse.org
- Disable azoth-zheet (MSN support) in tumbleweed and later
  as MSN was discontinued by MSFT.
* Wed Sep 10 2014 dap.darkness@gmail.com
- A new plugin was enabled:
  * Eleeminator is a a terminal emulator.
* Wed Jul 30 2014 dap.darkness@gmail.com
- 0.6.70 release:
  * Poshuku browser IDN support was enabled;
  * utilities library was split into different so files
    and subpackages.
- New plugins were enabled:
  * Azoth MuCommands provides conference-oriented commands;
  * LMP FrAdj is a 10-band equalizer;
  * Poshuku DCAC provides DC/AC for browser;
  * Poshuku QRd provides QR codes for browser.
- leechcraft-azoth-gcc47.patch was updated.
- Added leechcraft-gcc47.patch vs. names constructor error.
* Mon Jul  7 2014 dap.darkness@gmail.com
- 0.6.65-380-gffa0f72.tar.xz git snapshot:
  * monocle-postrus became installable out of box (doesn't
    require libspectre now and so isn't affected by bnc#828751).
- New plugins were enabled:
  * LMP BrainSlugz is a audio collection checker;
  * LMP HttStream is a music streamer over http;
  * Poshuku SpeedDial is a speed dial for browser.
- Disabled plugins:
  * azoth-p100q became obsoleted;
  * azoth-otroid can't be built for oS 12.2-;
  * bittorrent requires libtorrent-rasterbar >= 0.16 (oS 13.1+).
* Sat Jun  7 2014 dap.darkness@gmail.com
- udev → libudev, the latest is really needed
  and Factory's udev doesn't require it any more.
* Sat May 17 2014 dap.darkness@gmail.com
- New plugin was enabled for Factory:
  * Aggregator WebAccess is a news reader web interface module.
* Sat Apr  5 2014 dap.darkness@gmail.com
- 0.6.65 release:
  * LMP audio player ReplayGain support;
  * Azoth, the IM client, server history support (XEP-0313);
  * XMPP Message Carbons support (XEP-0280);
  * Monocle, the document reader, now supports annotated documents;
  * PDF seamless scrolling without freezing the UI;
  * The LHTR visual hypertext editor now gained
    support for the image sources plugins (Blasq);
  * HTML editor now supports syntax highlighting;
  * Aggregator now supports renaming feeds;
  * LackMan now supports vim-style navigation
    and using Space key to toggle packages;
  * MusicZombie now fetches all information about a single artist
    in one request;
  * New Life now supports importing history from Opera;
  * Popishu text editor now supports the recoverable tabs concept;
  * SB2 now supports hiding quarks by default;
  * /etc/os-release is now properly parsed.
- New plugins were enabled:
  * CertMgr is the new SSL manager;
  * CPU load is a monitoring quark;
  * Ooronee handles images and text dropped onto it;
  * Rosenthal is a core spell checker.
- Deleted leechcraft-0.6.60-monocle-arm.patch as merged.
- Added leechcraft-monocle-gcc47.patch
  to prevent names constructor error.
- Shellopen plugin amd mediacalls became obsoleted.
* Fri Mar  7 2014 dap.darkness@gmail.com
- Removed velvetbird bcond because of purple
  already built for all OBS archs.
- Added leechcraft-0.6.60-monocle-arm.patch to prevent
  arm6-7 build failures, upstream url:
  https://github.com/0xd34df00d/leechcraft/commit/ef3fdc
- Added gstreamer-1_0 define against oS >= 13.2 and
  versioned gst "BuildConflicts" to build lmp with the
  same gst as QtWebKit was built to prevent runtime freeze.
* Sun Feb 23 2014 dap.darkness@gmail.com
- New plugins were enabled:
  * Azoth Astrality: telepathy framework (Factory);
  * Qrosp: scripting support;
  * Textogroose: scripted lyrics finder.
* Mon Jan  6 2014 dap.darkness@gmail.com
- New mupdf version broke building again
  and upstream decided not to fix it.
* Sat Jan  4 2014 dmueller@suse.com
- add velvetbird buildconditional to consolidate and correct
  arch dependencies (fixes build)
* Mon Dec 30 2013 dap.darkness@gmail.com
- 0.6.60 release:
  * Desktop mode provides a full-featured desktop environment;
  * LMP social collection-oriented audio player improvements;
  * See more at http://leechcraft.org/leechcraft-0.6.60-is-released
- New plugins were enabled:
  * Azoth Murm: VK.com (VKontakte) api messaging support;
  * Azoth WoodPecker: Twitter support;
  * Blasq is a new plugin for cloud image photo albums;
  * Devmon for managing non-mass storage USB devices;
  * Fenet is responsible for autostarting a window manager;
  * Harbinger provides a collections manager plugin;
  * Htthare provides content from local filesystem over LANs;
  * Imgaste for uploading images to imagebins;
  * Krigstask provides a taskbar and a pager quark for SB2;
  * Laughty is a system-wide desktop notifications daemon;
  * LMP MTPSync, LMP subplugin for uploading music via MTP;
  * Mellonetray provides a system tray area quark for SB2;
  * Monocle Dil contains a MOBI subplugin for documents viewer;
  * Scroblibre, a Submissions API 1.2-compliant scrobbler;
  * Sysnotify, a notification backend using the libnotify D-Bus;
  * VtyuLC, experimental VLC-based video player;
  * Xtazy for fetching currently playing tune from players.
- Maintainership:
  * Removed leechcraft-otlozhu-0.6.0-cpp.patch;
  * Added leechcraft-azoth-gcc47.patch vs. oS 12.2' gcc issue;
  * %%%%make_jobs was switched back because it requires kde;
  * Build requirements were replaced by pkgconfig();
  * cmake section was refactored again.
* Sat Dec 21 2013 dap.darkness@gmail.com
- Added leechcraft-otlozhu-0.6.0-cpp.patch to prevent strange
  build issue: "error: no type named 'type' in 'struct",
  https://github.com/0xd34df00d/leechcraft/commit/170e8
- make_jobs, ix86 and arm macros became used.
- choroid, hotsensors, shaitan and syncer plugins
  became obsoleted because of ustream request.
* Fri Sep 27 2013 dap.darkness@gmail.com
- _constraints was added to prevent out-of-memory build issue.
* Wed Sep 11 2013 dap.darkness@gmail.com
- 0.6.0 release fixes lots of bugs in
  * Core, Util & XSD,
  * AdvancedNotifications,
  * Aggregator,
  * Azoth, Azoth AdiumStyles, Azoth Autoidler,
    Azoth p100q, Azoth Vader & Azoth Xoox,
  * Dolozhee (set proper stretch on widgets),
  * LastFMScrobble (fixed leaking),
  * Launchy (use own settings instead of messing with LMP),
  * Liznoo (try autostarting UPower if it's unavailable),
  * LMP & LMP Graffiti,
  * Poshuku & Poshuku CleanWeb,
  * Summary (fixed leaking context menu actions).
- Spec fixing up:
  * Obsoletes nacheku because of ustream request.
  * DSTRICT_LICENSING=True to suggest IM clients icons.
  * DENABLE_MEDIACALLS=True to enable Jingle support.
  * DENABLE_BITTORRENT_GEOIP=True to enable countries flags.
* Fri Jul 12 2013 dap.darkness@gmail.com
- 0.5.99 bugfix release:
  * AN: fixed a typo in user string.
  * AN: updated English and Russian translations.
  * Azoth: auto-request logs for MUC participants as well.
  * Azoth: fixed font zooming in fixed-font MUCs.
  * Azoth CH: don't test the entry type, leave that to core.
  * LMP: fixed a segfault on removable device removal in sync widget.
  * Lemon: added Qwt 6.1 compatibility.
  * Liznoo: added Qwt 6.1 compatibility.
  * Monocle Mu: depend on openjpeg and jbig2dec, required by mupdf.
  * Poshuku CleanWeb: fixed a rare segfault.
- openSUSE 12.1 became EOL and unsupported by upstream:
  * leechcraft-acetamide-qt47.patch was deleted;
  * if-sections were deleted;
  * gcc version required to build was incremented.
- Forgotten doc dependencies were deleted (doxygen, graphviz).
- Additional mupdf linking dependencies were added (jbig2dec, openjpeg).
- Conflict with Lcms 2.5+ was added as a workaround for bnc#828751.
* Mon Jun 24 2013 dap.darkness@gmail.com
- 0.5.98 bugfix release:
  * Core: first show unassociated dock widgets.
  * Core: fixed some segfaults on tab closes.
  * Core: fixed notifications about current tab changes.
  * Core: fixed reusing IDs for jobs.
  * AN: fixed overlay text drawing on notification icons.
  * Aggregator: always save provider for delegated jobs.
  * Aggregator: download the rest of the feeds after killing a stall.
  * Azoth: fixed several rare segfaults.
  * Azoth: don't try sending contact ID to another on DnD.
  * Azoth: change tab name after entry renaming.
  * Azoth MetaContacts: don't suggest unifying with MUC entries.
  * Azoth Xoox: properly handle server errors on form fetching.
  * Kinotify: fixed leaking state machine on each notification.
  * LMP: fixed broken synchronization symbol fixing.
  * LMP: temporary files are always removed after sync.
  * LMP: metadata is now mapped properly from the source.
  * Monocle: only render those pages that are actually visible.
  * Monocle: don't set negative scales.
  * Monocle: menu is shown only if mouse moved with a button pressed.
  * Monocle Seen: safeguard against rendering a bunch of small images.
  * TSM: fixed occasional segfaults on tab closes.
  * Vrooby: proper partition naming in UDisks2 backend.
- Fixed for PowerPC and ARM architectures:
  * no v8 and mupdf for ppc* — monocle-mu plugin was disabled;
  * no libpurple for armv5 — azoth-velvetbird plugin was disabled.
- Removed leechcraft-doc-doxygen-rpmlint-w.patch: resolved in upstream.
- Qt >= 4.8 became required to build.
* Mon Jun 10 2013 dap.darkness@gmail.com
- 0.5.97 bugfix release:
  * Core: fixed colors for QML buttons (mucn neater now).
  * Core: properly handle META key in shortcuts dialog.
  * Core: properly set default string codec, fixes debug messages encoding.
  * Util: fixed memory leak with QML and ColorThemeProxy.
  * Util: fixed rectangle fitting algorithm.
  * Azoth: fixed chat entry destruction on chat tab close.
  * HotSensors: take text color from the QML theme.
  * LackMan: fixed a typo in SQL query.
  * Launchy: extended known category aliases for Multimedia.
  * Monocle: keep page position on resize.
  * NSM: fixed icons for tab context menu actions.
  * TPI: update job name as well.
  * TPI: don't show internal tasks.
  * Vrooby: close the device popup on hoverout.
- New plugins were enabled for Factory:
  * Touchstreams — VK.com music streaming.
* Tue May 21 2013 dap.darkness@gmail.com
- 0.5.96 bugfix release:
  * Core: keep tab icon along tab moves between windows.
  * Core: fixed toolbar handling on tab moves between windows.
  * Core: fixed file locking threading issues.
  * Core: fixed network disk cache expiration handling.
  * Core: proper handling of forcefully closed unassociated dock widgets.
  * Core: don't show actions with empty text in popup menus.
  * Azoth: fixed autoscrolling.
  * Azoth: application-wide users list shortcut.
  * Azoth: case-insensitive users list filtering.
  * Azoth: use proper icon for voice calls.
  * Azoth Acetamide: made the channels list dialog non-modal.
  * Azoth Acetamide: allow joining to channels while the list is fetched.
  * Blogique: fixed progress indicator.
  * Blogique Hestia: fixed autoupdating entries in local blog.
  * Monocle Postrus: fixed FindLibSpectre.cmake for upcoming CMake.
  * LMP: fix rare segfaults on queue clearing.
  * LMP: clear last song data on player clearing.
  * LMP: support drags from filesystem browser.
  * LMP: replace queue on playlist activation.
  * LMP: properly restore play mode check state.
  * Popishu: fixed caret line background color.
  * VB: don't own conversation by the buddy, fixes multiple segfaults.
- New plugins were enabled:
  * azoth-otroid — Off-the-Record module for IM;
  * monocle-mu — another pdf module via the mupdf backend;
- Renamed to correspond upstream naming policy:
  * poshuku-delicious => poshuku-onlinebookmarks-delicious;
  * poshuku-readitlater => poshuku-onlinebookmarks-readitlater;
- Updated leechcraft-acetamide-qt47.patch to revert some 0.5.96 changes
  to provide azoth-acetamide plugin at openSUSE 12.1.
- Added "-Doverride=" CXX-flag to prevent compiler errors at openSUSE 12.1.
- Fixed up via `spec-cleaner`.
* Sun Apr 28 2013 dap.darkness@gmail.com
- 0.5.95 release:
  * Aggregator module got a major speedup;
  * Azoth IM client became more keyboard-friendly;
  * Blogique, the blog client, now supports
  - autosaving,
  - tab unclosing,
  - session management with the TabSessManager plugin,
  - showing recent comments and inbox messages;
  * Choroid plugin requires Qt >= 4.8;
  * GActs now bundles a patched Qxt with it. It adds support for assigning
    media keys to global shortcuts, a thing that upstream Qxt misses (and
    seems to not accept the proposed patch for several years already);
  * GMail Notifier module now supports showing a quark at SB2.
  * Sidebar plugin became deprecated;
  * Launchy module now supports favorites category;
  * LHTR visual editor plugin now supports tables;
  * License was switched from GPL-3.0+ to BSL-1.0;
  * LMP audio-player got a proper album art manager;
  * Monocle document reader now supports
  - page thumbnails,
  - bookmarks (with visually highlighting the currently displaying area),
  - forms for PDF files,
  - text searching;
  * Multiple windows support;
  * Poshuku history widget got support of
  - filtering by URL,
  - eliminating duplicates in the same section;
  * SB2 now supports placing the panel in any window side;
  * Vrooby now supports UDisks2 and building with several backends.
- New plugins were enabled:
  * azoth-velvetbird — LibPurple wrapper for IM;
  * blogique-hestia — local blogging;
  * hotsensors — temperature sensors for sidebar;
  * lmp-graffiti — audio tags editor for player;
  * monocle-doc — monocle plugin documentation;
  * poshuku-autosearch — autosearch for browser.
- See more at http://leechcraft.org/moving-to-bsl
  and http://leechcraft.org/leechcraft-0.5.95-is-released
- Added leechcraft-acetamide-qt47.patch to revert some 0.5.95 changes
  to provide azoth-acetamide plugin at openSUSE 12.1.
- Added leechcraft-doc-doxygen-rpmlint-w.patch to prevent rpmlint
  "W: file-contains-date-and-time" for doxygen made html-files.
- Removed boost.patch merged by upstream.
* Fri Feb  1 2013 dap.darkness@gmail.com
- A bug with not loading torrent plugin was fixed via boost.patch.
* Fri Dec 21 2012 dap.darkness@gmail.com
- 0.5.90 release:
  * lots of improvements and bugfixes;
  * desktop-files to open different file types;
  * gcc 4.5 support was deprecated.
- New plugins were enabled:
  * azoth-shx — shell command runner;
  * blogique & blogique-metida — blogging;
  * dumbeep — dumb sound notifier;
  * hotstreams — radio streams provider;
  * launchy — third-party application launcher;
  * lemon — another network Monitor;
  * liznoo — power manager;
  * monocle-postrus && monocle-seen — PostScript && Djvu documents support;
  * musiczombie — MusicBrainz.org client;
  * sb2 — another side bar;
  * shaitan — terminal;
  * tpi — quark task progress indicator.
- Clean section was removed.
- Applied into upstream patches were deleted.
- Useless desktop-file was deleted.
* Wed Oct 31 2012 mvyskocil@suse.com
- setup permissions correctly to avoid false duplicates reported by
  rpmlint because of new fdupes behavior (bnc#784670)
* Sun Sep  9 2012 nekolayer@yandex.ru
- fix build with new libqxmpp (backported from git)
* Fri Aug 10 2012 dap.darkness@gmail.com
- 0.5.80 release
  Media player LMP:
  * All proper logic for uploading songs to cloud services
  * Fetching playlists from such services
  * A new plugin has been added - LMP MP3tunes
  * There is now a nice stats label below the playlist
  * There are now different sort modes
  * Among cosmetic changes are fixed background colors in QML elements
  * Support for ignoring "The " when sorting artists in collection
  * And shortcuts for different actions are configurable now, too
  NetStoreManager:
  * A new plugin has been added - NetStoreManager GoogleDrive
  * For now only uploading and fetching the list of uploaded files works
  Document viewer Monocle supports:
  * Displaying one page or double-page spread
  * Copying selection to image or text
  * Scaling
  * Width-fitting
  * Tables of contents
  * Links
  * Paginated navigation
  * Printing
  * Monocle also integrates with the rest of LeechCraft
  * For now only PDF and fb2 file formats are supported
  * PDF is supported via Poppler library
  IM client Azoth:
  * A new plugin has been added - Azoth BirthdayNotifier
  * Azoth now finally displays user's avatar in tooltips
  * Tabs of conferences with unread highlight messages are now marked
  * RSS-reader Aggregator now supports exporting feeds to PDF
  * The issue reporter Dolozhee now supports fetching issue categories
* Wed Jul 11 2012 dap.darkness@gmail.com
- 0.5.75 release
  Media player LMP got the following features:
  * Uploading files from local collection to portable media players
  * Optional transcoding of uploaded files
  * Support for social radio stations like Last.FM radio
  * Obtaining personalized recommendations, recent releases etc
  * Support for MPRIS
  New Modules:
  * Vrooby is a removable storage devices manager
  * Monocle is a modular document viewer
  * Several things were optimized a lot
  * A bunch of minor fixes and enhancements in other plugins
  * A nickname can be inserted by Ctrl+activate it in the roster
  * Azoth ChatHistory module finally got a small calendar widget
  * Links in chat logs are now clickable
* Sun May 27 2012 dap.darkness@gmail.com
- 0.5.70 release
  Media player LMP was all-new rewritten and got such features:
  * Specialization on audio
  * Local collection
  * Static and dynamic playlists
  * Support for external playlists in pls, xspf and m3u8 formats
  * Playback modes: sequential, shuffled and track/album/playlist repeat
  * Scrobbling listened tracks to Last.FM via LastFMScrobble
  * Fetching missing album covers via LastFMScrobble
  * Requests for similar artists via LastFMScrobble
  * Tray icon
  * Core: "back"/"forward" mouse buttons make tabs switching
  * Fixes in AdvancedNotifications module
  In modular IM client Azoth:
  * Added support for /kick and /ban commands
  * Smiles aren't replaced anymore in the middle of the words
  * Added support for hiding and disabling accounts
  * Autopaste module was migrated to the codepad.org
  * Azoth p100q is now more compatible with Adium themes
  * Azoth Xoox now supports adding, editing and removing phones and emails
  * Some MUC reconnection issues were fixed in Azoth Xoox.
  * Azoth Vader module now supports assigning phone numbers to contacts
  * Some problems with authorization handling were fixed in Azoth Vader
* Thu May 24 2012 cfarrell@suse.com
- license update: GPL-3.0+
  COPYING and the majority of source code files now state that leechcraft
  is GPL-3.0 licensed
* Sun Apr 29 2012 nekolayer@yandex.ru
- 0.5.65 release
  New Modules:
  * Dolozhee module (bug reporting and feature requesting tool)
  * KBCraft module (keyboard layout manager)
  * Otlozhu module (simple GTD-inspired TODO manager)
  * XProxy module (advanced proxy configurator)
  * LackMan got a major UI update and general overhaul
  * TabSessManager supports global tab unclosing
  * Azoth Xoox properly caches entity capabilities and vCards
  * Lots of fixes and improvements in Azoth Acetamide
  * Choosing chat window style and its variant became much more handy
  * Azoth Xoox got full support for XEP-0232
  * Azoth got configurable minimal message editor height
  * Auscrie was improved and fixed.
* Thu Mar 15 2012 nekolayer@yandex.ru
- 0.5.60 release
  New Modules:
  * Added Azoth Zheet module (MSN support)
  * Added Azoth Vader module (Mail Agent support)
  * Sidebar module
  * Session manager module (save/restore LC tabs)
  * NetStore manager module (now support Yandex.Disk)
  * GActs module (global hotkeys)
  * Azoth Acetamide support CTCP and vCards
  * Aggregator works with DB in another thread and not block main app
  * Many Imporements in adium style support
  * Now using system oxygen icon theme
* Thu Feb  9 2012 nekolayer@yandex.ru
- 0.5.0 release
  * added magnet scheme support in Bittorent module
  * updated icons
  * Poshuku browser - don't notify about items already existing in Favourites.
  * Azoth Xoox: always initialize message subtype.
  fixed summary description
* Wed Jan 25 2012 nekolayer@yandex.ru
- 0.4.99 release
  * fixed memory leaks on Azoth
  * Lackman update to new format
  * Enabled flash support in Poshuku browser
* Fri Jan 13 2012 nekolayer@yandex.ru
- 0.4.98 release
  * Aggregator storages crash fix
  * IRC plugin fixes
  * Azoth adiumstyles fixes
  fixed modules dependencies in spec
* Tue Dec 27 2011 nekolayer@yandex.ru
- 0.4.97 release
  * Azoth messenger visual fixes
  * bittorrent optimization
  * fixed bookmarks sync
* Sun Dec 11 2011 nekolayer@yandex.ru
- 0.4.96 release
  * Fixes in Azoth AdiumStyles
  * Fixed handling of media players in Azoth Xtazy
  * Authorization issues were fixed in Azoth.
  * moderators are now able to kick participants in Azoth Xoox
* Tue Dec  6 2011 nekolayer@yandex.ru
- Enabled Plugins: LcFTP, Lackman, Gmail, Knowhow, Syncer
- Added Renkoo AdiumStyle to azoth-adiumstyles
- Set QAppStyle to Default from Plastique
- Fix Aspell support
- Fix AnHero plugin
- Remove dbusmanager.patch, not needed
* Mon Dec  5 2011 nlminhtl@gmail.com
- Add eiskaltdcpp-fix-php5-issue.patch - fix resolving
  /usr/bin/php5 dependence
* Tue Nov 29 2011 nlminhtl@gmail.com
- 0.4.95 release
- new packages: pogooglue, delicious, readitlater, isterique
- removing qt-multimedia from dependencies
- optimizing the spec file by using macros
- New features:
- * Support for XEP-0055: Jabber Search in Azoth Xoox.
- * AdvancedNotifications now supports enabling/disabling rules and
  single shot rules.
- * Azoth and Azoth Xoox now support inviting to MUCs.
- * Azoth Acetamide now supports SSL connections.
- * and other features
  http://leechcraft.org/leechcraft-0.4.95-is-released
* Sat Nov 26 2011 nlminhtl@gmail.com
- fixing the bug with azoth style packages in openSUSE:Factory
* Fri Nov 11 2011 nlminhtl@gmail.com
- removing the download service for openSUSE:Factory
- adding dependency aspell-devel for spell checking support
* Sun Oct 23 2011 nlminhtl@gmail.com
- 0.4.90 release
* Thu Jul 21 2011 nlminhtl@gmail.com
- 0.4.85 version release
* Mon Jul  4 2011 nlminhtl@gmail.com
- 0.4.80 version release
* Thu Jun 30 2011 nlminhtl@gmail.com
- package name fixed
